"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __name = (target, value) => __defProp(target, "name", { value, configurable: true });
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/index.ts
var src_exports = {};
__export(src_exports, {
  AccessDeniedException: () => AccessDeniedException,
  AllowPublish: () => AllowPublish,
  AllowUpstream: () => AllowUpstream,
  AssociateExternalConnectionCommand: () => AssociateExternalConnectionCommand,
  Codeartifact: () => Codeartifact,
  CodeartifactClient: () => CodeartifactClient,
  CodeartifactServiceException: () => CodeartifactServiceException,
  ConflictException: () => ConflictException,
  CopyPackageVersionsCommand: () => CopyPackageVersionsCommand,
  CreateDomainCommand: () => CreateDomainCommand,
  CreateRepositoryCommand: () => CreateRepositoryCommand,
  DeleteDomainCommand: () => DeleteDomainCommand,
  DeleteDomainPermissionsPolicyCommand: () => DeleteDomainPermissionsPolicyCommand,
  DeletePackageCommand: () => DeletePackageCommand,
  DeletePackageVersionsCommand: () => DeletePackageVersionsCommand,
  DeleteRepositoryCommand: () => DeleteRepositoryCommand,
  DeleteRepositoryPermissionsPolicyCommand: () => DeleteRepositoryPermissionsPolicyCommand,
  DescribeDomainCommand: () => DescribeDomainCommand,
  DescribePackageCommand: () => DescribePackageCommand,
  DescribePackageVersionCommand: () => DescribePackageVersionCommand,
  DescribeRepositoryCommand: () => DescribeRepositoryCommand,
  DisassociateExternalConnectionCommand: () => DisassociateExternalConnectionCommand,
  DisposePackageVersionsCommand: () => DisposePackageVersionsCommand,
  DomainStatus: () => DomainStatus,
  ExternalConnectionStatus: () => ExternalConnectionStatus,
  GetAuthorizationTokenCommand: () => GetAuthorizationTokenCommand,
  GetDomainPermissionsPolicyCommand: () => GetDomainPermissionsPolicyCommand,
  GetPackageVersionAssetCommand: () => GetPackageVersionAssetCommand,
  GetPackageVersionAssetResultFilterSensitiveLog: () => GetPackageVersionAssetResultFilterSensitiveLog,
  GetPackageVersionReadmeCommand: () => GetPackageVersionReadmeCommand,
  GetRepositoryEndpointCommand: () => GetRepositoryEndpointCommand,
  GetRepositoryPermissionsPolicyCommand: () => GetRepositoryPermissionsPolicyCommand,
  HashAlgorithm: () => HashAlgorithm,
  InternalServerException: () => InternalServerException,
  ListDomainsCommand: () => ListDomainsCommand,
  ListPackageVersionAssetsCommand: () => ListPackageVersionAssetsCommand,
  ListPackageVersionDependenciesCommand: () => ListPackageVersionDependenciesCommand,
  ListPackageVersionsCommand: () => ListPackageVersionsCommand,
  ListPackagesCommand: () => ListPackagesCommand,
  ListRepositoriesCommand: () => ListRepositoriesCommand,
  ListRepositoriesInDomainCommand: () => ListRepositoriesInDomainCommand,
  ListTagsForResourceCommand: () => ListTagsForResourceCommand,
  PackageFormat: () => PackageFormat,
  PackageVersionErrorCode: () => PackageVersionErrorCode,
  PackageVersionOriginType: () => PackageVersionOriginType,
  PackageVersionSortType: () => PackageVersionSortType,
  PackageVersionStatus: () => PackageVersionStatus,
  PublishPackageVersionCommand: () => PublishPackageVersionCommand,
  PublishPackageVersionRequestFilterSensitiveLog: () => PublishPackageVersionRequestFilterSensitiveLog,
  PutDomainPermissionsPolicyCommand: () => PutDomainPermissionsPolicyCommand,
  PutPackageOriginConfigurationCommand: () => PutPackageOriginConfigurationCommand,
  PutRepositoryPermissionsPolicyCommand: () => PutRepositoryPermissionsPolicyCommand,
  ResourceNotFoundException: () => ResourceNotFoundException,
  ResourceType: () => ResourceType,
  ServiceQuotaExceededException: () => ServiceQuotaExceededException,
  TagResourceCommand: () => TagResourceCommand,
  ThrottlingException: () => ThrottlingException,
  UntagResourceCommand: () => UntagResourceCommand,
  UpdatePackageVersionsStatusCommand: () => UpdatePackageVersionsStatusCommand,
  UpdateRepositoryCommand: () => UpdateRepositoryCommand,
  ValidationException: () => ValidationException,
  ValidationExceptionReason: () => ValidationExceptionReason,
  __Client: () => import_smithy_client.Client,
  paginateListDomains: () => paginateListDomains,
  paginateListPackageVersionAssets: () => paginateListPackageVersionAssets,
  paginateListPackageVersions: () => paginateListPackageVersions,
  paginateListPackages: () => paginateListPackages,
  paginateListRepositories: () => paginateListRepositories,
  paginateListRepositoriesInDomain: () => paginateListRepositoriesInDomain
});
module.exports = __toCommonJS(src_exports);

// src/CodeartifactClient.ts
var import_middleware_host_header = require("@aws-sdk/middleware-host-header");
var import_middleware_logger = require("@aws-sdk/middleware-logger");
var import_middleware_recursion_detection = require("@aws-sdk/middleware-recursion-detection");
var import_middleware_user_agent = require("@aws-sdk/middleware-user-agent");
var import_config_resolver = require("@smithy/config-resolver");
var import_core = require("@smithy/core");
var import_middleware_content_length = require("@smithy/middleware-content-length");
var import_middleware_endpoint = require("@smithy/middleware-endpoint");
var import_middleware_retry = require("@smithy/middleware-retry");

var import_httpAuthSchemeProvider = require("./auth/httpAuthSchemeProvider");

// src/endpoint/EndpointParameters.ts
var resolveClientEndpointParameters = /* @__PURE__ */ __name((options) => {
  return {
    ...options,
    useDualstackEndpoint: options.useDualstackEndpoint ?? false,
    useFipsEndpoint: options.useFipsEndpoint ?? false,
    defaultSigningName: "codeartifact"
  };
}, "resolveClientEndpointParameters");
var commonParams = {
  UseFIPS: { type: "builtInParams", name: "useFipsEndpoint" },
  Endpoint: { type: "builtInParams", name: "endpoint" },
  Region: { type: "builtInParams", name: "region" },
  UseDualStack: { type: "builtInParams", name: "useDualstackEndpoint" }
};

// src/CodeartifactClient.ts
var import_runtimeConfig = require("././runtimeConfig");

// src/runtimeExtensions.ts
var import_region_config_resolver = require("@aws-sdk/region-config-resolver");
var import_protocol_http = require("@smithy/protocol-http");
var import_smithy_client = require("@smithy/smithy-client");

// src/auth/httpAuthExtensionConfiguration.ts
var getHttpAuthExtensionConfiguration = /* @__PURE__ */ __name((runtimeConfig) => {
  const _httpAuthSchemes = runtimeConfig.httpAuthSchemes;
  let _httpAuthSchemeProvider = runtimeConfig.httpAuthSchemeProvider;
  let _credentials = runtimeConfig.credentials;
  return {
    setHttpAuthScheme(httpAuthScheme) {
      const index = _httpAuthSchemes.findIndex((scheme) => scheme.schemeId === httpAuthScheme.schemeId);
      if (index === -1) {
        _httpAuthSchemes.push(httpAuthScheme);
      } else {
        _httpAuthSchemes.splice(index, 1, httpAuthScheme);
      }
    },
    httpAuthSchemes() {
      return _httpAuthSchemes;
    },
    setHttpAuthSchemeProvider(httpAuthSchemeProvider) {
      _httpAuthSchemeProvider = httpAuthSchemeProvider;
    },
    httpAuthSchemeProvider() {
      return _httpAuthSchemeProvider;
    },
    setCredentials(credentials) {
      _credentials = credentials;
    },
    credentials() {
      return _credentials;
    }
  };
}, "getHttpAuthExtensionConfiguration");
var resolveHttpAuthRuntimeConfig = /* @__PURE__ */ __name((config) => {
  return {
    httpAuthSchemes: config.httpAuthSchemes(),
    httpAuthSchemeProvider: config.httpAuthSchemeProvider(),
    credentials: config.credentials()
  };
}, "resolveHttpAuthRuntimeConfig");

// src/runtimeExtensions.ts
var asPartial = /* @__PURE__ */ __name((t) => t, "asPartial");
var resolveRuntimeExtensions = /* @__PURE__ */ __name((runtimeConfig, extensions) => {
  const extensionConfiguration = {
    ...asPartial((0, import_region_config_resolver.getAwsRegionExtensionConfiguration)(runtimeConfig)),
    ...asPartial((0, import_smithy_client.getDefaultExtensionConfiguration)(runtimeConfig)),
    ...asPartial((0, import_protocol_http.getHttpHandlerExtensionConfiguration)(runtimeConfig)),
    ...asPartial(getHttpAuthExtensionConfiguration(runtimeConfig))
  };
  extensions.forEach((extension) => extension.configure(extensionConfiguration));
  return {
    ...runtimeConfig,
    ...(0, import_region_config_resolver.resolveAwsRegionExtensionConfiguration)(extensionConfiguration),
    ...(0, import_smithy_client.resolveDefaultRuntimeConfig)(extensionConfiguration),
    ...(0, import_protocol_http.resolveHttpHandlerRuntimeConfig)(extensionConfiguration),
    ...resolveHttpAuthRuntimeConfig(extensionConfiguration)
  };
}, "resolveRuntimeExtensions");

// src/CodeartifactClient.ts
var _CodeartifactClient = class _CodeartifactClient extends import_smithy_client.Client {
  constructor(...[configuration]) {
    const _config_0 = (0, import_runtimeConfig.getRuntimeConfig)(configuration || {});
    const _config_1 = resolveClientEndpointParameters(_config_0);
    const _config_2 = (0, import_config_resolver.resolveRegionConfig)(_config_1);
    const _config_3 = (0, import_middleware_endpoint.resolveEndpointConfig)(_config_2);
    const _config_4 = (0, import_middleware_retry.resolveRetryConfig)(_config_3);
    const _config_5 = (0, import_middleware_host_header.resolveHostHeaderConfig)(_config_4);
    const _config_6 = (0, import_middleware_user_agent.resolveUserAgentConfig)(_config_5);
    const _config_7 = (0, import_httpAuthSchemeProvider.resolveHttpAuthSchemeConfig)(_config_6);
    const _config_8 = resolveRuntimeExtensions(_config_7, (configuration == null ? void 0 : configuration.extensions) || []);
    super(_config_8);
    this.config = _config_8;
    this.middlewareStack.use((0, import_middleware_retry.getRetryPlugin)(this.config));
    this.middlewareStack.use((0, import_middleware_content_length.getContentLengthPlugin)(this.config));
    this.middlewareStack.use((0, import_middleware_host_header.getHostHeaderPlugin)(this.config));
    this.middlewareStack.use((0, import_middleware_logger.getLoggerPlugin)(this.config));
    this.middlewareStack.use((0, import_middleware_recursion_detection.getRecursionDetectionPlugin)(this.config));
    this.middlewareStack.use((0, import_middleware_user_agent.getUserAgentPlugin)(this.config));
    this.middlewareStack.use(
      (0, import_core.getHttpAuthSchemeEndpointRuleSetPlugin)(this.config, {
        httpAuthSchemeParametersProvider: this.getDefaultHttpAuthSchemeParametersProvider(),
        identityProviderConfigProvider: this.getIdentityProviderConfigProvider()
      })
    );
    this.middlewareStack.use((0, import_core.getHttpSigningPlugin)(this.config));
  }
  /**
   * Destroy underlying resources, like sockets. It's usually not necessary to do this.
   * However in Node.js, it's best to explicitly shut down the client's agent when it is no longer needed.
   * Otherwise, sockets might stay open for quite a long time before the server terminates them.
   */
  destroy() {
    super.destroy();
  }
  getDefaultHttpAuthSchemeParametersProvider() {
    return import_httpAuthSchemeProvider.defaultCodeartifactHttpAuthSchemeParametersProvider;
  }
  getIdentityProviderConfigProvider() {
    return async (config) => new import_core.DefaultIdentityProviderConfig({
      "aws.auth#sigv4": config.credentials
    });
  }
};
__name(_CodeartifactClient, "CodeartifactClient");
var CodeartifactClient = _CodeartifactClient;

// src/Codeartifact.ts


// src/commands/AssociateExternalConnectionCommand.ts

var import_middleware_serde = require("@smithy/middleware-serde");

var import_types = require("@smithy/types");

// src/protocols/Aws_restJson1.ts



// src/models/CodeartifactServiceException.ts

var _CodeartifactServiceException = class _CodeartifactServiceException extends import_smithy_client.ServiceException {
  /**
   * @internal
   */
  constructor(options) {
    super(options);
    Object.setPrototypeOf(this, _CodeartifactServiceException.prototype);
  }
};
__name(_CodeartifactServiceException, "CodeartifactServiceException");
var CodeartifactServiceException = _CodeartifactServiceException;

// src/models/models_0.ts
var _AccessDeniedException = class _AccessDeniedException extends CodeartifactServiceException {
  /**
   * @internal
   */
  constructor(opts) {
    super({
      name: "AccessDeniedException",
      $fault: "client",
      ...opts
    });
    this.name = "AccessDeniedException";
    this.$fault = "client";
    Object.setPrototypeOf(this, _AccessDeniedException.prototype);
  }
};
__name(_AccessDeniedException, "AccessDeniedException");
var AccessDeniedException = _AccessDeniedException;
var AllowPublish = {
  ALLOW: "ALLOW",
  BLOCK: "BLOCK"
};
var AllowUpstream = {
  ALLOW: "ALLOW",
  BLOCK: "BLOCK"
};
var HashAlgorithm = {
  MD5: "MD5",
  SHA1: "SHA-1",
  SHA256: "SHA-256",
  SHA512: "SHA-512"
};
var PackageFormat = {
  GENERIC: "generic",
  MAVEN: "maven",
  NPM: "npm",
  NUGET: "nuget",
  PYPI: "pypi",
  SWIFT: "swift"
};
var ExternalConnectionStatus = {
  AVAILABLE: "Available"
};
var ResourceType = {
  ASSET: "asset",
  DOMAIN: "domain",
  PACKAGE: "package",
  PACKAGE_VERSION: "package-version",
  REPOSITORY: "repository"
};
var _ConflictException = class _ConflictException extends CodeartifactServiceException {
  /**
   * @internal
   */
  constructor(opts) {
    super({
      name: "ConflictException",
      $fault: "client",
      ...opts
    });
    this.name = "ConflictException";
    this.$fault = "client";
    Object.setPrototypeOf(this, _ConflictException.prototype);
    this.resourceId = opts.resourceId;
    this.resourceType = opts.resourceType;
  }
};
__name(_ConflictException, "ConflictException");
var ConflictException = _ConflictException;
var _InternalServerException = class _InternalServerException extends CodeartifactServiceException {
  /**
   * @internal
   */
  constructor(opts) {
    super({
      name: "InternalServerException",
      $fault: "server",
      ...opts
    });
    this.name = "InternalServerException";
    this.$fault = "server";
    Object.setPrototypeOf(this, _InternalServerException.prototype);
  }
};
__name(_InternalServerException, "InternalServerException");
var InternalServerException = _InternalServerException;
var _ResourceNotFoundException = class _ResourceNotFoundException extends CodeartifactServiceException {
  /**
   * @internal
   */
  constructor(opts) {
    super({
      name: "ResourceNotFoundException",
      $fault: "client",
      ...opts
    });
    this.name = "ResourceNotFoundException";
    this.$fault = "client";
    Object.setPrototypeOf(this, _ResourceNotFoundException.prototype);
    this.resourceId = opts.resourceId;
    this.resourceType = opts.resourceType;
  }
};
__name(_ResourceNotFoundException, "ResourceNotFoundException");
var ResourceNotFoundException = _ResourceNotFoundException;
var _ServiceQuotaExceededException = class _ServiceQuotaExceededException extends CodeartifactServiceException {
  /**
   * @internal
   */
  constructor(opts) {
    super({
      name: "ServiceQuotaExceededException",
      $fault: "client",
      ...opts
    });
    this.name = "ServiceQuotaExceededException";
    this.$fault = "client";
    Object.setPrototypeOf(this, _ServiceQuotaExceededException.prototype);
    this.resourceId = opts.resourceId;
    this.resourceType = opts.resourceType;
  }
};
__name(_ServiceQuotaExceededException, "ServiceQuotaExceededException");
var ServiceQuotaExceededException = _ServiceQuotaExceededException;
var _ThrottlingException = class _ThrottlingException extends CodeartifactServiceException {
  /**
   * @internal
   */
  constructor(opts) {
    super({
      name: "ThrottlingException",
      $fault: "client",
      ...opts
    });
    this.name = "ThrottlingException";
    this.$fault = "client";
    Object.setPrototypeOf(this, _ThrottlingException.prototype);
    this.retryAfterSeconds = opts.retryAfterSeconds;
  }
};
__name(_ThrottlingException, "ThrottlingException");
var ThrottlingException = _ThrottlingException;
var ValidationExceptionReason = {
  CANNOT_PARSE: "CANNOT_PARSE",
  ENCRYPTION_KEY_ERROR: "ENCRYPTION_KEY_ERROR",
  FIELD_VALIDATION_FAILED: "FIELD_VALIDATION_FAILED",
  OTHER: "OTHER",
  UNKNOWN_OPERATION: "UNKNOWN_OPERATION"
};
var _ValidationException = class _ValidationException extends CodeartifactServiceException {
  /**
   * @internal
   */
  constructor(opts) {
    super({
      name: "ValidationException",
      $fault: "client",
      ...opts
    });
    this.name = "ValidationException";
    this.$fault = "client";
    Object.setPrototypeOf(this, _ValidationException.prototype);
    this.reason = opts.reason;
  }
};
__name(_ValidationException, "ValidationException");
var ValidationException = _ValidationException;
var PackageVersionErrorCode = {
  ALREADY_EXISTS: "ALREADY_EXISTS",
  MISMATCHED_REVISION: "MISMATCHED_REVISION",
  MISMATCHED_STATUS: "MISMATCHED_STATUS",
  NOT_ALLOWED: "NOT_ALLOWED",
  NOT_FOUND: "NOT_FOUND",
  SKIPPED: "SKIPPED"
};
var PackageVersionStatus = {
  ARCHIVED: "Archived",
  DELETED: "Deleted",
  DISPOSED: "Disposed",
  PUBLISHED: "Published",
  UNFINISHED: "Unfinished",
  UNLISTED: "Unlisted"
};
var DomainStatus = {
  ACTIVE: "Active",
  DELETED: "Deleted"
};
var PackageVersionOriginType = {
  EXTERNAL: "EXTERNAL",
  INTERNAL: "INTERNAL",
  UNKNOWN: "UNKNOWN"
};
var PackageVersionSortType = {
  PUBLISHED_TIME: "PUBLISHED_TIME"
};
var GetPackageVersionAssetResultFilterSensitiveLog = /* @__PURE__ */ __name((obj) => ({
  ...obj
}), "GetPackageVersionAssetResultFilterSensitiveLog");
var PublishPackageVersionRequestFilterSensitiveLog = /* @__PURE__ */ __name((obj) => ({
  ...obj
}), "PublishPackageVersionRequestFilterSensitiveLog");

// src/protocols/Aws_restJson1.ts
var se_AssociateExternalConnectionCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {};
  b.bp("/v1/repository/external-connection");
  const query = (0, import_smithy_client.map)({
    [_d]: [, (0, import_smithy_client.expectNonNull)(input[_d], `domain`)],
    [_do]: [, input[_dO]],
    [_r]: [, (0, import_smithy_client.expectNonNull)(input[_r], `repository`)],
    [_ec]: [, (0, import_smithy_client.expectNonNull)(input[_eC], `externalConnection`)]
  });
  let body;
  b.m("POST").h(headers).q(query).b(body);
  return b.build();
}, "se_AssociateExternalConnectionCommand");
var se_CopyPackageVersionsCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {
    "content-type": "application/json"
  };
  b.bp("/v1/package/versions/copy");
  const query = (0, import_smithy_client.map)({
    [_d]: [, (0, import_smithy_client.expectNonNull)(input[_d], `domain`)],
    [_do]: [, input[_dO]],
    [_sr]: [, (0, import_smithy_client.expectNonNull)(input[_sR], `sourceRepository`)],
    [_dr]: [, (0, import_smithy_client.expectNonNull)(input[_dR], `destinationRepository`)],
    [_f]: [, (0, import_smithy_client.expectNonNull)(input[_f], `format`)],
    [_n]: [, input[_n]],
    [_p]: [, (0, import_smithy_client.expectNonNull)(input[_p], `package`)]
  });
  let body;
  body = JSON.stringify(
    (0, import_smithy_client.take)(input, {
      allowOverwrite: [],
      includeFromUpstream: [],
      versionRevisions: (_) => (0, import_smithy_client._json)(_),
      versions: (_) => (0, import_smithy_client._json)(_)
    })
  );
  b.m("POST").h(headers).q(query).b(body);
  return b.build();
}, "se_CopyPackageVersionsCommand");
var se_CreateDomainCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {
    "content-type": "application/json"
  };
  b.bp("/v1/domain");
  const query = (0, import_smithy_client.map)({
    [_d]: [, (0, import_smithy_client.expectNonNull)(input[_d], `domain`)]
  });
  let body;
  body = JSON.stringify(
    (0, import_smithy_client.take)(input, {
      encryptionKey: [],
      tags: (_) => (0, import_smithy_client._json)(_)
    })
  );
  b.m("POST").h(headers).q(query).b(body);
  return b.build();
}, "se_CreateDomainCommand");
var se_CreateRepositoryCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {
    "content-type": "application/json"
  };
  b.bp("/v1/repository");
  const query = (0, import_smithy_client.map)({
    [_d]: [, (0, import_smithy_client.expectNonNull)(input[_d], `domain`)],
    [_do]: [, input[_dO]],
    [_r]: [, (0, import_smithy_client.expectNonNull)(input[_r], `repository`)]
  });
  let body;
  body = JSON.stringify(
    (0, import_smithy_client.take)(input, {
      description: [],
      tags: (_) => (0, import_smithy_client._json)(_),
      upstreams: (_) => (0, import_smithy_client._json)(_)
    })
  );
  b.m("POST").h(headers).q(query).b(body);
  return b.build();
}, "se_CreateRepositoryCommand");
var se_DeleteDomainCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {};
  b.bp("/v1/domain");
  const query = (0, import_smithy_client.map)({
    [_d]: [, (0, import_smithy_client.expectNonNull)(input[_d], `domain`)],
    [_do]: [, input[_dO]]
  });
  let body;
  b.m("DELETE").h(headers).q(query).b(body);
  return b.build();
}, "se_DeleteDomainCommand");
var se_DeleteDomainPermissionsPolicyCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {};
  b.bp("/v1/domain/permissions/policy");
  const query = (0, import_smithy_client.map)({
    [_d]: [, (0, import_smithy_client.expectNonNull)(input[_d], `domain`)],
    [_do]: [, input[_dO]],
    [_pr]: [, input[_pR]]
  });
  let body;
  b.m("DELETE").h(headers).q(query).b(body);
  return b.build();
}, "se_DeleteDomainPermissionsPolicyCommand");
var se_DeletePackageCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {};
  b.bp("/v1/package");
  const query = (0, import_smithy_client.map)({
    [_d]: [, (0, import_smithy_client.expectNonNull)(input[_d], `domain`)],
    [_do]: [, input[_dO]],
    [_r]: [, (0, import_smithy_client.expectNonNull)(input[_r], `repository`)],
    [_f]: [, (0, import_smithy_client.expectNonNull)(input[_f], `format`)],
    [_n]: [, input[_n]],
    [_p]: [, (0, import_smithy_client.expectNonNull)(input[_p], `package`)]
  });
  let body;
  b.m("DELETE").h(headers).q(query).b(body);
  return b.build();
}, "se_DeletePackageCommand");
var se_DeletePackageVersionsCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {
    "content-type": "application/json"
  };
  b.bp("/v1/package/versions/delete");
  const query = (0, import_smithy_client.map)({
    [_d]: [, (0, import_smithy_client.expectNonNull)(input[_d], `domain`)],
    [_do]: [, input[_dO]],
    [_r]: [, (0, import_smithy_client.expectNonNull)(input[_r], `repository`)],
    [_f]: [, (0, import_smithy_client.expectNonNull)(input[_f], `format`)],
    [_n]: [, input[_n]],
    [_p]: [, (0, import_smithy_client.expectNonNull)(input[_p], `package`)]
  });
  let body;
  body = JSON.stringify(
    (0, import_smithy_client.take)(input, {
      expectedStatus: [],
      versions: (_) => (0, import_smithy_client._json)(_)
    })
  );
  b.m("POST").h(headers).q(query).b(body);
  return b.build();
}, "se_DeletePackageVersionsCommand");
var se_DeleteRepositoryCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {};
  b.bp("/v1/repository");
  const query = (0, import_smithy_client.map)({
    [_d]: [, (0, import_smithy_client.expectNonNull)(input[_d], `domain`)],
    [_do]: [, input[_dO]],
    [_r]: [, (0, import_smithy_client.expectNonNull)(input[_r], `repository`)]
  });
  let body;
  b.m("DELETE").h(headers).q(query).b(body);
  return b.build();
}, "se_DeleteRepositoryCommand");
var se_DeleteRepositoryPermissionsPolicyCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {};
  b.bp("/v1/repository/permissions/policies");
  const query = (0, import_smithy_client.map)({
    [_d]: [, (0, import_smithy_client.expectNonNull)(input[_d], `domain`)],
    [_do]: [, input[_dO]],
    [_r]: [, (0, import_smithy_client.expectNonNull)(input[_r], `repository`)],
    [_pr]: [, input[_pR]]
  });
  let body;
  b.m("DELETE").h(headers).q(query).b(body);
  return b.build();
}, "se_DeleteRepositoryPermissionsPolicyCommand");
var se_DescribeDomainCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {};
  b.bp("/v1/domain");
  const query = (0, import_smithy_client.map)({
    [_d]: [, (0, import_smithy_client.expectNonNull)(input[_d], `domain`)],
    [_do]: [, input[_dO]]
  });
  let body;
  b.m("GET").h(headers).q(query).b(body);
  return b.build();
}, "se_DescribeDomainCommand");
var se_DescribePackageCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {};
  b.bp("/v1/package");
  const query = (0, import_smithy_client.map)({
    [_d]: [, (0, import_smithy_client.expectNonNull)(input[_d], `domain`)],
    [_do]: [, input[_dO]],
    [_r]: [, (0, import_smithy_client.expectNonNull)(input[_r], `repository`)],
    [_f]: [, (0, import_smithy_client.expectNonNull)(input[_f], `format`)],
    [_n]: [, input[_n]],
    [_p]: [, (0, import_smithy_client.expectNonNull)(input[_p], `package`)]
  });
  let body;
  b.m("GET").h(headers).q(query).b(body);
  return b.build();
}, "se_DescribePackageCommand");
var se_DescribePackageVersionCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {};
  b.bp("/v1/package/version");
  const query = (0, import_smithy_client.map)({
    [_d]: [, (0, import_smithy_client.expectNonNull)(input[_d], `domain`)],
    [_do]: [, input[_dO]],
    [_r]: [, (0, import_smithy_client.expectNonNull)(input[_r], `repository`)],
    [_f]: [, (0, import_smithy_client.expectNonNull)(input[_f], `format`)],
    [_n]: [, input[_n]],
    [_p]: [, (0, import_smithy_client.expectNonNull)(input[_p], `package`)],
    [_v]: [, (0, import_smithy_client.expectNonNull)(input[_pV], `packageVersion`)]
  });
  let body;
  b.m("GET").h(headers).q(query).b(body);
  return b.build();
}, "se_DescribePackageVersionCommand");
var se_DescribeRepositoryCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {};
  b.bp("/v1/repository");
  const query = (0, import_smithy_client.map)({
    [_d]: [, (0, import_smithy_client.expectNonNull)(input[_d], `domain`)],
    [_do]: [, input[_dO]],
    [_r]: [, (0, import_smithy_client.expectNonNull)(input[_r], `repository`)]
  });
  let body;
  b.m("GET").h(headers).q(query).b(body);
  return b.build();
}, "se_DescribeRepositoryCommand");
var se_DisassociateExternalConnectionCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {};
  b.bp("/v1/repository/external-connection");
  const query = (0, import_smithy_client.map)({
    [_d]: [, (0, import_smithy_client.expectNonNull)(input[_d], `domain`)],
    [_do]: [, input[_dO]],
    [_r]: [, (0, import_smithy_client.expectNonNull)(input[_r], `repository`)],
    [_ec]: [, (0, import_smithy_client.expectNonNull)(input[_eC], `externalConnection`)]
  });
  let body;
  b.m("DELETE").h(headers).q(query).b(body);
  return b.build();
}, "se_DisassociateExternalConnectionCommand");
var se_DisposePackageVersionsCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {
    "content-type": "application/json"
  };
  b.bp("/v1/package/versions/dispose");
  const query = (0, import_smithy_client.map)({
    [_d]: [, (0, import_smithy_client.expectNonNull)(input[_d], `domain`)],
    [_do]: [, input[_dO]],
    [_r]: [, (0, import_smithy_client.expectNonNull)(input[_r], `repository`)],
    [_f]: [, (0, import_smithy_client.expectNonNull)(input[_f], `format`)],
    [_n]: [, input[_n]],
    [_p]: [, (0, import_smithy_client.expectNonNull)(input[_p], `package`)]
  });
  let body;
  body = JSON.stringify(
    (0, import_smithy_client.take)(input, {
      expectedStatus: [],
      versionRevisions: (_) => (0, import_smithy_client._json)(_),
      versions: (_) => (0, import_smithy_client._json)(_)
    })
  );
  b.m("POST").h(headers).q(query).b(body);
  return b.build();
}, "se_DisposePackageVersionsCommand");
var se_GetAuthorizationTokenCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {};
  b.bp("/v1/authorization-token");
  const query = (0, import_smithy_client.map)({
    [_d]: [, (0, import_smithy_client.expectNonNull)(input[_d], `domain`)],
    [_do]: [, input[_dO]],
    [_du]: [() => input.durationSeconds !== void 0, () => input[_dS].toString()]
  });
  let body;
  b.m("POST").h(headers).q(query).b(body);
  return b.build();
}, "se_GetAuthorizationTokenCommand");
var se_GetDomainPermissionsPolicyCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {};
  b.bp("/v1/domain/permissions/policy");
  const query = (0, import_smithy_client.map)({
    [_d]: [, (0, import_smithy_client.expectNonNull)(input[_d], `domain`)],
    [_do]: [, input[_dO]]
  });
  let body;
  b.m("GET").h(headers).q(query).b(body);
  return b.build();
}, "se_GetDomainPermissionsPolicyCommand");
var se_GetPackageVersionAssetCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {};
  b.bp("/v1/package/version/asset");
  const query = (0, import_smithy_client.map)({
    [_d]: [, (0, import_smithy_client.expectNonNull)(input[_d], `domain`)],
    [_do]: [, input[_dO]],
    [_r]: [, (0, import_smithy_client.expectNonNull)(input[_r], `repository`)],
    [_f]: [, (0, import_smithy_client.expectNonNull)(input[_f], `format`)],
    [_n]: [, input[_n]],
    [_p]: [, (0, import_smithy_client.expectNonNull)(input[_p], `package`)],
    [_v]: [, (0, import_smithy_client.expectNonNull)(input[_pV], `packageVersion`)],
    [_a]: [, (0, import_smithy_client.expectNonNull)(input[_a], `asset`)],
    [_re]: [, input[_pVR]]
  });
  let body;
  b.m("GET").h(headers).q(query).b(body);
  return b.build();
}, "se_GetPackageVersionAssetCommand");
var se_GetPackageVersionReadmeCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {};
  b.bp("/v1/package/version/readme");
  const query = (0, import_smithy_client.map)({
    [_d]: [, (0, import_smithy_client.expectNonNull)(input[_d], `domain`)],
    [_do]: [, input[_dO]],
    [_r]: [, (0, import_smithy_client.expectNonNull)(input[_r], `repository`)],
    [_f]: [, (0, import_smithy_client.expectNonNull)(input[_f], `format`)],
    [_n]: [, input[_n]],
    [_p]: [, (0, import_smithy_client.expectNonNull)(input[_p], `package`)],
    [_v]: [, (0, import_smithy_client.expectNonNull)(input[_pV], `packageVersion`)]
  });
  let body;
  b.m("GET").h(headers).q(query).b(body);
  return b.build();
}, "se_GetPackageVersionReadmeCommand");
var se_GetRepositoryEndpointCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {};
  b.bp("/v1/repository/endpoint");
  const query = (0, import_smithy_client.map)({
    [_d]: [, (0, import_smithy_client.expectNonNull)(input[_d], `domain`)],
    [_do]: [, input[_dO]],
    [_r]: [, (0, import_smithy_client.expectNonNull)(input[_r], `repository`)],
    [_f]: [, (0, import_smithy_client.expectNonNull)(input[_f], `format`)]
  });
  let body;
  b.m("GET").h(headers).q(query).b(body);
  return b.build();
}, "se_GetRepositoryEndpointCommand");
var se_GetRepositoryPermissionsPolicyCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {};
  b.bp("/v1/repository/permissions/policy");
  const query = (0, import_smithy_client.map)({
    [_d]: [, (0, import_smithy_client.expectNonNull)(input[_d], `domain`)],
    [_do]: [, input[_dO]],
    [_r]: [, (0, import_smithy_client.expectNonNull)(input[_r], `repository`)]
  });
  let body;
  b.m("GET").h(headers).q(query).b(body);
  return b.build();
}, "se_GetRepositoryPermissionsPolicyCommand");
var se_ListDomainsCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {
    "content-type": "application/json"
  };
  b.bp("/v1/domains");
  let body;
  body = JSON.stringify(
    (0, import_smithy_client.take)(input, {
      maxResults: [],
      nextToken: []
    })
  );
  b.m("POST").h(headers).b(body);
  return b.build();
}, "se_ListDomainsCommand");
var se_ListPackagesCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {};
  b.bp("/v1/packages");
  const query = (0, import_smithy_client.map)({
    [_d]: [, (0, import_smithy_client.expectNonNull)(input[_d], `domain`)],
    [_do]: [, input[_dO]],
    [_r]: [, (0, import_smithy_client.expectNonNull)(input[_r], `repository`)],
    [_f]: [, input[_f]],
    [_n]: [, input[_n]],
    [_pp]: [, input[_pP]],
    [_mr]: [() => input.maxResults !== void 0, () => input[_mR].toString()],
    [_nt]: [, input[_nT]],
    [_pu]: [, input[_pu]],
    [_u]: [, input[_u]]
  });
  let body;
  b.m("POST").h(headers).q(query).b(body);
  return b.build();
}, "se_ListPackagesCommand");
var se_ListPackageVersionAssetsCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {};
  b.bp("/v1/package/version/assets");
  const query = (0, import_smithy_client.map)({
    [_d]: [, (0, import_smithy_client.expectNonNull)(input[_d], `domain`)],
    [_do]: [, input[_dO]],
    [_r]: [, (0, import_smithy_client.expectNonNull)(input[_r], `repository`)],
    [_f]: [, (0, import_smithy_client.expectNonNull)(input[_f], `format`)],
    [_n]: [, input[_n]],
    [_p]: [, (0, import_smithy_client.expectNonNull)(input[_p], `package`)],
    [_v]: [, (0, import_smithy_client.expectNonNull)(input[_pV], `packageVersion`)],
    [_mr]: [() => input.maxResults !== void 0, () => input[_mR].toString()],
    [_nt]: [, input[_nT]]
  });
  let body;
  b.m("POST").h(headers).q(query).b(body);
  return b.build();
}, "se_ListPackageVersionAssetsCommand");
var se_ListPackageVersionDependenciesCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {};
  b.bp("/v1/package/version/dependencies");
  const query = (0, import_smithy_client.map)({
    [_d]: [, (0, import_smithy_client.expectNonNull)(input[_d], `domain`)],
    [_do]: [, input[_dO]],
    [_r]: [, (0, import_smithy_client.expectNonNull)(input[_r], `repository`)],
    [_f]: [, (0, import_smithy_client.expectNonNull)(input[_f], `format`)],
    [_n]: [, input[_n]],
    [_p]: [, (0, import_smithy_client.expectNonNull)(input[_p], `package`)],
    [_v]: [, (0, import_smithy_client.expectNonNull)(input[_pV], `packageVersion`)],
    [_nt]: [, input[_nT]]
  });
  let body;
  b.m("POST").h(headers).q(query).b(body);
  return b.build();
}, "se_ListPackageVersionDependenciesCommand");
var se_ListPackageVersionsCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {};
  b.bp("/v1/package/versions");
  const query = (0, import_smithy_client.map)({
    [_d]: [, (0, import_smithy_client.expectNonNull)(input[_d], `domain`)],
    [_do]: [, input[_dO]],
    [_r]: [, (0, import_smithy_client.expectNonNull)(input[_r], `repository`)],
    [_f]: [, (0, import_smithy_client.expectNonNull)(input[_f], `format`)],
    [_n]: [, input[_n]],
    [_p]: [, (0, import_smithy_client.expectNonNull)(input[_p], `package`)],
    [_s]: [, input[_s]],
    [_sB]: [, input[_sB]],
    [_mr]: [() => input.maxResults !== void 0, () => input[_mR].toString()],
    [_nt]: [, input[_nT]],
    [_oT]: [, input[_oT]]
  });
  let body;
  b.m("POST").h(headers).q(query).b(body);
  return b.build();
}, "se_ListPackageVersionsCommand");
var se_ListRepositoriesCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {};
  b.bp("/v1/repositories");
  const query = (0, import_smithy_client.map)({
    [_rp]: [, input[_rP]],
    [_mr]: [() => input.maxResults !== void 0, () => input[_mR].toString()],
    [_nt]: [, input[_nT]]
  });
  let body;
  b.m("POST").h(headers).q(query).b(body);
  return b.build();
}, "se_ListRepositoriesCommand");
var se_ListRepositoriesInDomainCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {};
  b.bp("/v1/domain/repositories");
  const query = (0, import_smithy_client.map)({
    [_d]: [, (0, import_smithy_client.expectNonNull)(input[_d], `domain`)],
    [_do]: [, input[_dO]],
    [_aa]: [, input[_aA]],
    [_rp]: [, input[_rP]],
    [_mr]: [() => input.maxResults !== void 0, () => input[_mR].toString()],
    [_nt]: [, input[_nT]]
  });
  let body;
  b.m("POST").h(headers).q(query).b(body);
  return b.build();
}, "se_ListRepositoriesInDomainCommand");
var se_ListTagsForResourceCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {};
  b.bp("/v1/tags");
  const query = (0, import_smithy_client.map)({
    [_rA]: [, (0, import_smithy_client.expectNonNull)(input[_rA], `resourceArn`)]
  });
  let body;
  b.m("POST").h(headers).q(query).b(body);
  return b.build();
}, "se_ListTagsForResourceCommand");
var se_PublishPackageVersionCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = (0, import_smithy_client.map)({}, isSerializableHeaderValue, {
    "content-type": "application/octet-stream",
    [_xacs]: input[_aSHA]
  });
  b.bp("/v1/package/version/publish");
  const query = (0, import_smithy_client.map)({
    [_d]: [, (0, import_smithy_client.expectNonNull)(input[_d], `domain`)],
    [_do]: [, input[_dO]],
    [_r]: [, (0, import_smithy_client.expectNonNull)(input[_r], `repository`)],
    [_f]: [, (0, import_smithy_client.expectNonNull)(input[_f], `format`)],
    [_n]: [, input[_n]],
    [_p]: [, (0, import_smithy_client.expectNonNull)(input[_p], `package`)],
    [_v]: [, (0, import_smithy_client.expectNonNull)(input[_pV], `packageVersion`)],
    [_a]: [, (0, import_smithy_client.expectNonNull)(input[_aN], `assetName`)],
    [_un]: [() => input.unfinished !== void 0, () => input[_un].toString()]
  });
  let body;
  if (input.assetContent !== void 0) {
    body = input.assetContent;
  }
  b.m("POST").h(headers).q(query).b(body);
  return b.build();
}, "se_PublishPackageVersionCommand");
var se_PutDomainPermissionsPolicyCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {
    "content-type": "application/json"
  };
  b.bp("/v1/domain/permissions/policy");
  let body;
  body = JSON.stringify(
    (0, import_smithy_client.take)(input, {
      domain: [],
      domainOwner: [],
      policyDocument: [],
      policyRevision: []
    })
  );
  b.m("PUT").h(headers).b(body);
  return b.build();
}, "se_PutDomainPermissionsPolicyCommand");
var se_PutPackageOriginConfigurationCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {
    "content-type": "application/json"
  };
  b.bp("/v1/package");
  const query = (0, import_smithy_client.map)({
    [_d]: [, (0, import_smithy_client.expectNonNull)(input[_d], `domain`)],
    [_do]: [, input[_dO]],
    [_r]: [, (0, import_smithy_client.expectNonNull)(input[_r], `repository`)],
    [_f]: [, (0, import_smithy_client.expectNonNull)(input[_f], `format`)],
    [_n]: [, input[_n]],
    [_p]: [, (0, import_smithy_client.expectNonNull)(input[_p], `package`)]
  });
  let body;
  body = JSON.stringify(
    (0, import_smithy_client.take)(input, {
      restrictions: (_) => (0, import_smithy_client._json)(_)
    })
  );
  b.m("POST").h(headers).q(query).b(body);
  return b.build();
}, "se_PutPackageOriginConfigurationCommand");
var se_PutRepositoryPermissionsPolicyCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {
    "content-type": "application/json"
  };
  b.bp("/v1/repository/permissions/policy");
  const query = (0, import_smithy_client.map)({
    [_d]: [, (0, import_smithy_client.expectNonNull)(input[_d], `domain`)],
    [_do]: [, input[_dO]],
    [_r]: [, (0, import_smithy_client.expectNonNull)(input[_r], `repository`)]
  });
  let body;
  body = JSON.stringify(
    (0, import_smithy_client.take)(input, {
      policyDocument: [],
      policyRevision: []
    })
  );
  b.m("PUT").h(headers).q(query).b(body);
  return b.build();
}, "se_PutRepositoryPermissionsPolicyCommand");
var se_TagResourceCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {
    "content-type": "application/json"
  };
  b.bp("/v1/tag");
  const query = (0, import_smithy_client.map)({
    [_rA]: [, (0, import_smithy_client.expectNonNull)(input[_rA], `resourceArn`)]
  });
  let body;
  body = JSON.stringify(
    (0, import_smithy_client.take)(input, {
      tags: (_) => (0, import_smithy_client._json)(_)
    })
  );
  b.m("POST").h(headers).q(query).b(body);
  return b.build();
}, "se_TagResourceCommand");
var se_UntagResourceCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {
    "content-type": "application/json"
  };
  b.bp("/v1/untag");
  const query = (0, import_smithy_client.map)({
    [_rA]: [, (0, import_smithy_client.expectNonNull)(input[_rA], `resourceArn`)]
  });
  let body;
  body = JSON.stringify(
    (0, import_smithy_client.take)(input, {
      tagKeys: (_) => (0, import_smithy_client._json)(_)
    })
  );
  b.m("POST").h(headers).q(query).b(body);
  return b.build();
}, "se_UntagResourceCommand");
var se_UpdatePackageVersionsStatusCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {
    "content-type": "application/json"
  };
  b.bp("/v1/package/versions/update_status");
  const query = (0, import_smithy_client.map)({
    [_d]: [, (0, import_smithy_client.expectNonNull)(input[_d], `domain`)],
    [_do]: [, input[_dO]],
    [_r]: [, (0, import_smithy_client.expectNonNull)(input[_r], `repository`)],
    [_f]: [, (0, import_smithy_client.expectNonNull)(input[_f], `format`)],
    [_n]: [, input[_n]],
    [_p]: [, (0, import_smithy_client.expectNonNull)(input[_p], `package`)]
  });
  let body;
  body = JSON.stringify(
    (0, import_smithy_client.take)(input, {
      expectedStatus: [],
      targetStatus: [],
      versionRevisions: (_) => (0, import_smithy_client._json)(_),
      versions: (_) => (0, import_smithy_client._json)(_)
    })
  );
  b.m("POST").h(headers).q(query).b(body);
  return b.build();
}, "se_UpdatePackageVersionsStatusCommand");
var se_UpdateRepositoryCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {
    "content-type": "application/json"
  };
  b.bp("/v1/repository");
  const query = (0, import_smithy_client.map)({
    [_d]: [, (0, import_smithy_client.expectNonNull)(input[_d], `domain`)],
    [_do]: [, input[_dO]],
    [_r]: [, (0, import_smithy_client.expectNonNull)(input[_r], `repository`)]
  });
  let body;
  body = JSON.stringify(
    (0, import_smithy_client.take)(input, {
      description: [],
      upstreams: (_) => (0, import_smithy_client._json)(_)
    })
  );
  b.m("PUT").h(headers).q(query).b(body);
  return b.build();
}, "se_UpdateRepositoryCommand");
var de_AssociateExternalConnectionCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  const data = (0, import_smithy_client.expectNonNull)((0, import_smithy_client.expectObject)(await parseBody(output.body, context)), "body");
  const doc = (0, import_smithy_client.take)(data, {
    repository: (_) => de_RepositoryDescription(_, context)
  });
  Object.assign(contents, doc);
  return contents;
}, "de_AssociateExternalConnectionCommand");
var de_CopyPackageVersionsCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  const data = (0, import_smithy_client.expectNonNull)((0, import_smithy_client.expectObject)(await parseBody(output.body, context)), "body");
  const doc = (0, import_smithy_client.take)(data, {
    failedVersions: import_smithy_client._json,
    successfulVersions: import_smithy_client._json
  });
  Object.assign(contents, doc);
  return contents;
}, "de_CopyPackageVersionsCommand");
var de_CreateDomainCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  const data = (0, import_smithy_client.expectNonNull)((0, import_smithy_client.expectObject)(await parseBody(output.body, context)), "body");
  const doc = (0, import_smithy_client.take)(data, {
    domain: (_) => de_DomainDescription(_, context)
  });
  Object.assign(contents, doc);
  return contents;
}, "de_CreateDomainCommand");
var de_CreateRepositoryCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  const data = (0, import_smithy_client.expectNonNull)((0, import_smithy_client.expectObject)(await parseBody(output.body, context)), "body");
  const doc = (0, import_smithy_client.take)(data, {
    repository: (_) => de_RepositoryDescription(_, context)
  });
  Object.assign(contents, doc);
  return contents;
}, "de_CreateRepositoryCommand");
var de_DeleteDomainCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  const data = (0, import_smithy_client.expectNonNull)((0, import_smithy_client.expectObject)(await parseBody(output.body, context)), "body");
  const doc = (0, import_smithy_client.take)(data, {
    domain: (_) => de_DomainDescription(_, context)
  });
  Object.assign(contents, doc);
  return contents;
}, "de_DeleteDomainCommand");
var de_DeleteDomainPermissionsPolicyCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  const data = (0, import_smithy_client.expectNonNull)((0, import_smithy_client.expectObject)(await parseBody(output.body, context)), "body");
  const doc = (0, import_smithy_client.take)(data, {
    policy: import_smithy_client._json
  });
  Object.assign(contents, doc);
  return contents;
}, "de_DeleteDomainPermissionsPolicyCommand");
var de_DeletePackageCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  const data = (0, import_smithy_client.expectNonNull)((0, import_smithy_client.expectObject)(await parseBody(output.body, context)), "body");
  const doc = (0, import_smithy_client.take)(data, {
    deletedPackage: import_smithy_client._json
  });
  Object.assign(contents, doc);
  return contents;
}, "de_DeletePackageCommand");
var de_DeletePackageVersionsCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  const data = (0, import_smithy_client.expectNonNull)((0, import_smithy_client.expectObject)(await parseBody(output.body, context)), "body");
  const doc = (0, import_smithy_client.take)(data, {
    failedVersions: import_smithy_client._json,
    successfulVersions: import_smithy_client._json
  });
  Object.assign(contents, doc);
  return contents;
}, "de_DeletePackageVersionsCommand");
var de_DeleteRepositoryCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  const data = (0, import_smithy_client.expectNonNull)((0, import_smithy_client.expectObject)(await parseBody(output.body, context)), "body");
  const doc = (0, import_smithy_client.take)(data, {
    repository: (_) => de_RepositoryDescription(_, context)
  });
  Object.assign(contents, doc);
  return contents;
}, "de_DeleteRepositoryCommand");
var de_DeleteRepositoryPermissionsPolicyCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  const data = (0, import_smithy_client.expectNonNull)((0, import_smithy_client.expectObject)(await parseBody(output.body, context)), "body");
  const doc = (0, import_smithy_client.take)(data, {
    policy: import_smithy_client._json
  });
  Object.assign(contents, doc);
  return contents;
}, "de_DeleteRepositoryPermissionsPolicyCommand");
var de_DescribeDomainCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  const data = (0, import_smithy_client.expectNonNull)((0, import_smithy_client.expectObject)(await parseBody(output.body, context)), "body");
  const doc = (0, import_smithy_client.take)(data, {
    domain: (_) => de_DomainDescription(_, context)
  });
  Object.assign(contents, doc);
  return contents;
}, "de_DescribeDomainCommand");
var de_DescribePackageCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  const data = (0, import_smithy_client.expectNonNull)((0, import_smithy_client.expectObject)(await parseBody(output.body, context)), "body");
  const doc = (0, import_smithy_client.take)(data, {
    package: import_smithy_client._json
  });
  Object.assign(contents, doc);
  return contents;
}, "de_DescribePackageCommand");
var de_DescribePackageVersionCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  const data = (0, import_smithy_client.expectNonNull)((0, import_smithy_client.expectObject)(await parseBody(output.body, context)), "body");
  const doc = (0, import_smithy_client.take)(data, {
    packageVersion: (_) => de_PackageVersionDescription(_, context)
  });
  Object.assign(contents, doc);
  return contents;
}, "de_DescribePackageVersionCommand");
var de_DescribeRepositoryCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  const data = (0, import_smithy_client.expectNonNull)((0, import_smithy_client.expectObject)(await parseBody(output.body, context)), "body");
  const doc = (0, import_smithy_client.take)(data, {
    repository: (_) => de_RepositoryDescription(_, context)
  });
  Object.assign(contents, doc);
  return contents;
}, "de_DescribeRepositoryCommand");
var de_DisassociateExternalConnectionCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  const data = (0, import_smithy_client.expectNonNull)((0, import_smithy_client.expectObject)(await parseBody(output.body, context)), "body");
  const doc = (0, import_smithy_client.take)(data, {
    repository: (_) => de_RepositoryDescription(_, context)
  });
  Object.assign(contents, doc);
  return contents;
}, "de_DisassociateExternalConnectionCommand");
var de_DisposePackageVersionsCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  const data = (0, import_smithy_client.expectNonNull)((0, import_smithy_client.expectObject)(await parseBody(output.body, context)), "body");
  const doc = (0, import_smithy_client.take)(data, {
    failedVersions: import_smithy_client._json,
    successfulVersions: import_smithy_client._json
  });
  Object.assign(contents, doc);
  return contents;
}, "de_DisposePackageVersionsCommand");
var de_GetAuthorizationTokenCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  const data = (0, import_smithy_client.expectNonNull)((0, import_smithy_client.expectObject)(await parseBody(output.body, context)), "body");
  const doc = (0, import_smithy_client.take)(data, {
    authorizationToken: import_smithy_client.expectString,
    expiration: (_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_)))
  });
  Object.assign(contents, doc);
  return contents;
}, "de_GetAuthorizationTokenCommand");
var de_GetDomainPermissionsPolicyCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  const data = (0, import_smithy_client.expectNonNull)((0, import_smithy_client.expectObject)(await parseBody(output.body, context)), "body");
  const doc = (0, import_smithy_client.take)(data, {
    policy: import_smithy_client._json
  });
  Object.assign(contents, doc);
  return contents;
}, "de_GetDomainPermissionsPolicyCommand");
var de_GetPackageVersionAssetCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output),
    [_aN]: [, output.headers[_xa]],
    [_pV]: [, output.headers[_xp]],
    [_pVR]: [, output.headers[_xp_]]
  });
  const data = output.body;
  context.sdkStreamMixin(data);
  contents.asset = data;
  return contents;
}, "de_GetPackageVersionAssetCommand");
var de_GetPackageVersionReadmeCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  const data = (0, import_smithy_client.expectNonNull)((0, import_smithy_client.expectObject)(await parseBody(output.body, context)), "body");
  const doc = (0, import_smithy_client.take)(data, {
    format: import_smithy_client.expectString,
    namespace: import_smithy_client.expectString,
    package: import_smithy_client.expectString,
    readme: import_smithy_client.expectString,
    version: import_smithy_client.expectString,
    versionRevision: import_smithy_client.expectString
  });
  Object.assign(contents, doc);
  return contents;
}, "de_GetPackageVersionReadmeCommand");
var de_GetRepositoryEndpointCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  const data = (0, import_smithy_client.expectNonNull)((0, import_smithy_client.expectObject)(await parseBody(output.body, context)), "body");
  const doc = (0, import_smithy_client.take)(data, {
    repositoryEndpoint: import_smithy_client.expectString
  });
  Object.assign(contents, doc);
  return contents;
}, "de_GetRepositoryEndpointCommand");
var de_GetRepositoryPermissionsPolicyCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  const data = (0, import_smithy_client.expectNonNull)((0, import_smithy_client.expectObject)(await parseBody(output.body, context)), "body");
  const doc = (0, import_smithy_client.take)(data, {
    policy: import_smithy_client._json
  });
  Object.assign(contents, doc);
  return contents;
}, "de_GetRepositoryPermissionsPolicyCommand");
var de_ListDomainsCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  const data = (0, import_smithy_client.expectNonNull)((0, import_smithy_client.expectObject)(await parseBody(output.body, context)), "body");
  const doc = (0, import_smithy_client.take)(data, {
    domains: (_) => de_DomainSummaryList(_, context),
    nextToken: import_smithy_client.expectString
  });
  Object.assign(contents, doc);
  return contents;
}, "de_ListDomainsCommand");
var de_ListPackagesCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  const data = (0, import_smithy_client.expectNonNull)((0, import_smithy_client.expectObject)(await parseBody(output.body, context)), "body");
  const doc = (0, import_smithy_client.take)(data, {
    nextToken: import_smithy_client.expectString,
    packages: import_smithy_client._json
  });
  Object.assign(contents, doc);
  return contents;
}, "de_ListPackagesCommand");
var de_ListPackageVersionAssetsCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  const data = (0, import_smithy_client.expectNonNull)((0, import_smithy_client.expectObject)(await parseBody(output.body, context)), "body");
  const doc = (0, import_smithy_client.take)(data, {
    assets: import_smithy_client._json,
    format: import_smithy_client.expectString,
    namespace: import_smithy_client.expectString,
    nextToken: import_smithy_client.expectString,
    package: import_smithy_client.expectString,
    version: import_smithy_client.expectString,
    versionRevision: import_smithy_client.expectString
  });
  Object.assign(contents, doc);
  return contents;
}, "de_ListPackageVersionAssetsCommand");
var de_ListPackageVersionDependenciesCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  const data = (0, import_smithy_client.expectNonNull)((0, import_smithy_client.expectObject)(await parseBody(output.body, context)), "body");
  const doc = (0, import_smithy_client.take)(data, {
    dependencies: import_smithy_client._json,
    format: import_smithy_client.expectString,
    namespace: import_smithy_client.expectString,
    nextToken: import_smithy_client.expectString,
    package: import_smithy_client.expectString,
    version: import_smithy_client.expectString,
    versionRevision: import_smithy_client.expectString
  });
  Object.assign(contents, doc);
  return contents;
}, "de_ListPackageVersionDependenciesCommand");
var de_ListPackageVersionsCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  const data = (0, import_smithy_client.expectNonNull)((0, import_smithy_client.expectObject)(await parseBody(output.body, context)), "body");
  const doc = (0, import_smithy_client.take)(data, {
    defaultDisplayVersion: import_smithy_client.expectString,
    format: import_smithy_client.expectString,
    namespace: import_smithy_client.expectString,
    nextToken: import_smithy_client.expectString,
    package: import_smithy_client.expectString,
    versions: import_smithy_client._json
  });
  Object.assign(contents, doc);
  return contents;
}, "de_ListPackageVersionsCommand");
var de_ListRepositoriesCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  const data = (0, import_smithy_client.expectNonNull)((0, import_smithy_client.expectObject)(await parseBody(output.body, context)), "body");
  const doc = (0, import_smithy_client.take)(data, {
    nextToken: import_smithy_client.expectString,
    repositories: (_) => de_RepositorySummaryList(_, context)
  });
  Object.assign(contents, doc);
  return contents;
}, "de_ListRepositoriesCommand");
var de_ListRepositoriesInDomainCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  const data = (0, import_smithy_client.expectNonNull)((0, import_smithy_client.expectObject)(await parseBody(output.body, context)), "body");
  const doc = (0, import_smithy_client.take)(data, {
    nextToken: import_smithy_client.expectString,
    repositories: (_) => de_RepositorySummaryList(_, context)
  });
  Object.assign(contents, doc);
  return contents;
}, "de_ListRepositoriesInDomainCommand");
var de_ListTagsForResourceCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  const data = (0, import_smithy_client.expectNonNull)((0, import_smithy_client.expectObject)(await parseBody(output.body, context)), "body");
  const doc = (0, import_smithy_client.take)(data, {
    tags: import_smithy_client._json
  });
  Object.assign(contents, doc);
  return contents;
}, "de_ListTagsForResourceCommand");
var de_PublishPackageVersionCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  const data = (0, import_smithy_client.expectNonNull)((0, import_smithy_client.expectObject)(await parseBody(output.body, context)), "body");
  const doc = (0, import_smithy_client.take)(data, {
    asset: import_smithy_client._json,
    format: import_smithy_client.expectString,
    namespace: import_smithy_client.expectString,
    package: import_smithy_client.expectString,
    status: import_smithy_client.expectString,
    version: import_smithy_client.expectString,
    versionRevision: import_smithy_client.expectString
  });
  Object.assign(contents, doc);
  return contents;
}, "de_PublishPackageVersionCommand");
var de_PutDomainPermissionsPolicyCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  const data = (0, import_smithy_client.expectNonNull)((0, import_smithy_client.expectObject)(await parseBody(output.body, context)), "body");
  const doc = (0, import_smithy_client.take)(data, {
    policy: import_smithy_client._json
  });
  Object.assign(contents, doc);
  return contents;
}, "de_PutDomainPermissionsPolicyCommand");
var de_PutPackageOriginConfigurationCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  const data = (0, import_smithy_client.expectNonNull)((0, import_smithy_client.expectObject)(await parseBody(output.body, context)), "body");
  const doc = (0, import_smithy_client.take)(data, {
    originConfiguration: import_smithy_client._json
  });
  Object.assign(contents, doc);
  return contents;
}, "de_PutPackageOriginConfigurationCommand");
var de_PutRepositoryPermissionsPolicyCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  const data = (0, import_smithy_client.expectNonNull)((0, import_smithy_client.expectObject)(await parseBody(output.body, context)), "body");
  const doc = (0, import_smithy_client.take)(data, {
    policy: import_smithy_client._json
  });
  Object.assign(contents, doc);
  return contents;
}, "de_PutRepositoryPermissionsPolicyCommand");
var de_TagResourceCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  await (0, import_smithy_client.collectBody)(output.body, context);
  return contents;
}, "de_TagResourceCommand");
var de_UntagResourceCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  await (0, import_smithy_client.collectBody)(output.body, context);
  return contents;
}, "de_UntagResourceCommand");
var de_UpdatePackageVersionsStatusCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  const data = (0, import_smithy_client.expectNonNull)((0, import_smithy_client.expectObject)(await parseBody(output.body, context)), "body");
  const doc = (0, import_smithy_client.take)(data, {
    failedVersions: import_smithy_client._json,
    successfulVersions: import_smithy_client._json
  });
  Object.assign(contents, doc);
  return contents;
}, "de_UpdatePackageVersionsStatusCommand");
var de_UpdateRepositoryCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  const data = (0, import_smithy_client.expectNonNull)((0, import_smithy_client.expectObject)(await parseBody(output.body, context)), "body");
  const doc = (0, import_smithy_client.take)(data, {
    repository: (_) => de_RepositoryDescription(_, context)
  });
  Object.assign(contents, doc);
  return contents;
}, "de_UpdateRepositoryCommand");
var de_CommandError = /* @__PURE__ */ __name(async (output, context) => {
  const parsedOutput = {
    ...output,
    body: await parseErrorBody(output.body, context)
  };
  const errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
  switch (errorCode) {
    case "AccessDeniedException":
    case "com.amazonaws.codeartifact#AccessDeniedException":
      throw await de_AccessDeniedExceptionRes(parsedOutput, context);
    case "ConflictException":
    case "com.amazonaws.codeartifact#ConflictException":
      throw await de_ConflictExceptionRes(parsedOutput, context);
    case "InternalServerException":
    case "com.amazonaws.codeartifact#InternalServerException":
      throw await de_InternalServerExceptionRes(parsedOutput, context);
    case "ResourceNotFoundException":
    case "com.amazonaws.codeartifact#ResourceNotFoundException":
      throw await de_ResourceNotFoundExceptionRes(parsedOutput, context);
    case "ServiceQuotaExceededException":
    case "com.amazonaws.codeartifact#ServiceQuotaExceededException":
      throw await de_ServiceQuotaExceededExceptionRes(parsedOutput, context);
    case "ThrottlingException":
    case "com.amazonaws.codeartifact#ThrottlingException":
      throw await de_ThrottlingExceptionRes(parsedOutput, context);
    case "ValidationException":
    case "com.amazonaws.codeartifact#ValidationException":
      throw await de_ValidationExceptionRes(parsedOutput, context);
    default:
      const parsedBody = parsedOutput.body;
      return throwDefaultError({
        output,
        parsedBody,
        errorCode
      });
  }
}, "de_CommandError");
var throwDefaultError = (0, import_smithy_client.withBaseException)(CodeartifactServiceException);
var de_AccessDeniedExceptionRes = /* @__PURE__ */ __name(async (parsedOutput, context) => {
  const contents = (0, import_smithy_client.map)({});
  const data = parsedOutput.body;
  const doc = (0, import_smithy_client.take)(data, {
    message: import_smithy_client.expectString
  });
  Object.assign(contents, doc);
  const exception = new AccessDeniedException({
    $metadata: deserializeMetadata(parsedOutput),
    ...contents
  });
  return (0, import_smithy_client.decorateServiceException)(exception, parsedOutput.body);
}, "de_AccessDeniedExceptionRes");
var de_ConflictExceptionRes = /* @__PURE__ */ __name(async (parsedOutput, context) => {
  const contents = (0, import_smithy_client.map)({});
  const data = parsedOutput.body;
  const doc = (0, import_smithy_client.take)(data, {
    message: import_smithy_client.expectString,
    resourceId: import_smithy_client.expectString,
    resourceType: import_smithy_client.expectString
  });
  Object.assign(contents, doc);
  const exception = new ConflictException({
    $metadata: deserializeMetadata(parsedOutput),
    ...contents
  });
  return (0, import_smithy_client.decorateServiceException)(exception, parsedOutput.body);
}, "de_ConflictExceptionRes");
var de_InternalServerExceptionRes = /* @__PURE__ */ __name(async (parsedOutput, context) => {
  const contents = (0, import_smithy_client.map)({});
  const data = parsedOutput.body;
  const doc = (0, import_smithy_client.take)(data, {
    message: import_smithy_client.expectString
  });
  Object.assign(contents, doc);
  const exception = new InternalServerException({
    $metadata: deserializeMetadata(parsedOutput),
    ...contents
  });
  return (0, import_smithy_client.decorateServiceException)(exception, parsedOutput.body);
}, "de_InternalServerExceptionRes");
var de_ResourceNotFoundExceptionRes = /* @__PURE__ */ __name(async (parsedOutput, context) => {
  const contents = (0, import_smithy_client.map)({});
  const data = parsedOutput.body;
  const doc = (0, import_smithy_client.take)(data, {
    message: import_smithy_client.expectString,
    resourceId: import_smithy_client.expectString,
    resourceType: import_smithy_client.expectString
  });
  Object.assign(contents, doc);
  const exception = new ResourceNotFoundException({
    $metadata: deserializeMetadata(parsedOutput),
    ...contents
  });
  return (0, import_smithy_client.decorateServiceException)(exception, parsedOutput.body);
}, "de_ResourceNotFoundExceptionRes");
var de_ServiceQuotaExceededExceptionRes = /* @__PURE__ */ __name(async (parsedOutput, context) => {
  const contents = (0, import_smithy_client.map)({});
  const data = parsedOutput.body;
  const doc = (0, import_smithy_client.take)(data, {
    message: import_smithy_client.expectString,
    resourceId: import_smithy_client.expectString,
    resourceType: import_smithy_client.expectString
  });
  Object.assign(contents, doc);
  const exception = new ServiceQuotaExceededException({
    $metadata: deserializeMetadata(parsedOutput),
    ...contents
  });
  return (0, import_smithy_client.decorateServiceException)(exception, parsedOutput.body);
}, "de_ServiceQuotaExceededExceptionRes");
var de_ThrottlingExceptionRes = /* @__PURE__ */ __name(async (parsedOutput, context) => {
  const contents = (0, import_smithy_client.map)({
    [_rAS]: [() => void 0 !== parsedOutput.headers[_ra], () => (0, import_smithy_client.strictParseInt32)(parsedOutput.headers[_ra])]
  });
  const data = parsedOutput.body;
  const doc = (0, import_smithy_client.take)(data, {
    message: import_smithy_client.expectString
  });
  Object.assign(contents, doc);
  const exception = new ThrottlingException({
    $metadata: deserializeMetadata(parsedOutput),
    ...contents
  });
  return (0, import_smithy_client.decorateServiceException)(exception, parsedOutput.body);
}, "de_ThrottlingExceptionRes");
var de_ValidationExceptionRes = /* @__PURE__ */ __name(async (parsedOutput, context) => {
  const contents = (0, import_smithy_client.map)({});
  const data = parsedOutput.body;
  const doc = (0, import_smithy_client.take)(data, {
    message: import_smithy_client.expectString,
    reason: import_smithy_client.expectString
  });
  Object.assign(contents, doc);
  const exception = new ValidationException({
    $metadata: deserializeMetadata(parsedOutput),
    ...contents
  });
  return (0, import_smithy_client.decorateServiceException)(exception, parsedOutput.body);
}, "de_ValidationExceptionRes");
var de_DomainDescription = /* @__PURE__ */ __name((output, context) => {
  return (0, import_smithy_client.take)(output, {
    arn: import_smithy_client.expectString,
    assetSizeBytes: import_smithy_client.expectLong,
    createdTime: (_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_))),
    encryptionKey: import_smithy_client.expectString,
    name: import_smithy_client.expectString,
    owner: import_smithy_client.expectString,
    repositoryCount: import_smithy_client.expectInt32,
    s3BucketArn: import_smithy_client.expectString,
    status: import_smithy_client.expectString
  });
}, "de_DomainDescription");
var de_DomainSummary = /* @__PURE__ */ __name((output, context) => {
  return (0, import_smithy_client.take)(output, {
    arn: import_smithy_client.expectString,
    createdTime: (_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_))),
    encryptionKey: import_smithy_client.expectString,
    name: import_smithy_client.expectString,
    owner: import_smithy_client.expectString,
    status: import_smithy_client.expectString
  });
}, "de_DomainSummary");
var de_DomainSummaryList = /* @__PURE__ */ __name((output, context) => {
  const retVal = (output || []).filter((e) => e != null).map((entry) => {
    return de_DomainSummary(entry, context);
  });
  return retVal;
}, "de_DomainSummaryList");
var de_PackageVersionDescription = /* @__PURE__ */ __name((output, context) => {
  return (0, import_smithy_client.take)(output, {
    displayName: import_smithy_client.expectString,
    format: import_smithy_client.expectString,
    homePage: import_smithy_client.expectString,
    licenses: import_smithy_client._json,
    namespace: import_smithy_client.expectString,
    origin: import_smithy_client._json,
    packageName: import_smithy_client.expectString,
    publishedTime: (_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_))),
    revision: import_smithy_client.expectString,
    sourceCodeRepository: import_smithy_client.expectString,
    status: import_smithy_client.expectString,
    summary: import_smithy_client.expectString,
    version: import_smithy_client.expectString
  });
}, "de_PackageVersionDescription");
var de_RepositoryDescription = /* @__PURE__ */ __name((output, context) => {
  return (0, import_smithy_client.take)(output, {
    administratorAccount: import_smithy_client.expectString,
    arn: import_smithy_client.expectString,
    createdTime: (_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_))),
    description: import_smithy_client.expectString,
    domainName: import_smithy_client.expectString,
    domainOwner: import_smithy_client.expectString,
    externalConnections: import_smithy_client._json,
    name: import_smithy_client.expectString,
    upstreams: import_smithy_client._json
  });
}, "de_RepositoryDescription");
var de_RepositorySummary = /* @__PURE__ */ __name((output, context) => {
  return (0, import_smithy_client.take)(output, {
    administratorAccount: import_smithy_client.expectString,
    arn: import_smithy_client.expectString,
    createdTime: (_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_))),
    description: import_smithy_client.expectString,
    domainName: import_smithy_client.expectString,
    domainOwner: import_smithy_client.expectString,
    name: import_smithy_client.expectString
  });
}, "de_RepositorySummary");
var de_RepositorySummaryList = /* @__PURE__ */ __name((output, context) => {
  const retVal = (output || []).filter((e) => e != null).map((entry) => {
    return de_RepositorySummary(entry, context);
  });
  return retVal;
}, "de_RepositorySummaryList");
var deserializeMetadata = /* @__PURE__ */ __name((output) => ({
  httpStatusCode: output.statusCode,
  requestId: output.headers["x-amzn-requestid"] ?? output.headers["x-amzn-request-id"] ?? output.headers["x-amz-request-id"],
  extendedRequestId: output.headers["x-amz-id-2"],
  cfId: output.headers["x-amz-cf-id"]
}), "deserializeMetadata");
var collectBodyString = /* @__PURE__ */ __name((streamBody, context) => (0, import_smithy_client.collectBody)(streamBody, context).then((body) => context.utf8Encoder(body)), "collectBodyString");
var isSerializableHeaderValue = /* @__PURE__ */ __name((value) => value !== void 0 && value !== null && value !== "" && (!Object.getOwnPropertyNames(value).includes("length") || value.length != 0) && (!Object.getOwnPropertyNames(value).includes("size") || value.size != 0), "isSerializableHeaderValue");
var _a = "asset";
var _aA = "administratorAccount";
var _aN = "assetName";
var _aSHA = "assetSHA256";
var _aa = "administrator-account";
var _d = "domain";
var _dO = "domainOwner";
var _dR = "destinationRepository";
var _dS = "durationSeconds";
var _do = "domain-owner";
var _dr = "destination-repository";
var _du = "duration";
var _eC = "externalConnection";
var _ec = "external-connection";
var _f = "format";
var _mR = "maxResults";
var _mr = "max-results";
var _n = "namespace";
var _nT = "nextToken";
var _nt = "next-token";
var _oT = "originType";
var _p = "package";
var _pP = "packagePrefix";
var _pR = "policyRevision";
var _pV = "packageVersion";
var _pVR = "packageVersionRevision";
var _pp = "package-prefix";
var _pr = "policy-revision";
var _pu = "publish";
var _r = "repository";
var _rA = "resourceArn";
var _rAS = "retryAfterSeconds";
var _rP = "repositoryPrefix";
var _ra = "retry-after";
var _re = "revision";
var _rp = "repository-prefix";
var _s = "status";
var _sB = "sortBy";
var _sR = "sourceRepository";
var _sr = "source-repository";
var _u = "upstream";
var _un = "unfinished";
var _v = "version";
var _xa = "x-assetname";
var _xacs = "x-amz-content-sha256";
var _xp = "x-packageversion";
var _xp_ = "x-packageversionrevision";
var parseBody = /* @__PURE__ */ __name((streamBody, context) => collectBodyString(streamBody, context).then((encoded) => {
  if (encoded.length) {
    return JSON.parse(encoded);
  }
  return {};
}), "parseBody");
var parseErrorBody = /* @__PURE__ */ __name(async (errorBody, context) => {
  const value = await parseBody(errorBody, context);
  value.message = value.message ?? value.Message;
  return value;
}, "parseErrorBody");
var loadRestJsonErrorCode = /* @__PURE__ */ __name((output, data) => {
  const findKey = /* @__PURE__ */ __name((object, key) => Object.keys(object).find((k) => k.toLowerCase() === key.toLowerCase()), "findKey");
  const sanitizeErrorCode = /* @__PURE__ */ __name((rawValue) => {
    let cleanValue = rawValue;
    if (typeof cleanValue === "number") {
      cleanValue = cleanValue.toString();
    }
    if (cleanValue.indexOf(",") >= 0) {
      cleanValue = cleanValue.split(",")[0];
    }
    if (cleanValue.indexOf(":") >= 0) {
      cleanValue = cleanValue.split(":")[0];
    }
    if (cleanValue.indexOf("#") >= 0) {
      cleanValue = cleanValue.split("#")[1];
    }
    return cleanValue;
  }, "sanitizeErrorCode");
  const headerKey = findKey(output.headers, "x-amzn-errortype");
  if (headerKey !== void 0) {
    return sanitizeErrorCode(output.headers[headerKey]);
  }
  if (data.code !== void 0) {
    return sanitizeErrorCode(data.code);
  }
  if (data["__type"] !== void 0) {
    return sanitizeErrorCode(data["__type"]);
  }
}, "loadRestJsonErrorCode");

// src/commands/AssociateExternalConnectionCommand.ts
var _AssociateExternalConnectionCommand = class _AssociateExternalConnectionCommand extends import_smithy_client.Command.classBuilder().ep({
  ...commonParams
}).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("CodeArtifactControlPlaneService", "AssociateExternalConnection", {}).n("CodeartifactClient", "AssociateExternalConnectionCommand").f(void 0, void 0).ser(se_AssociateExternalConnectionCommand).de(de_AssociateExternalConnectionCommand).build() {
};
__name(_AssociateExternalConnectionCommand, "AssociateExternalConnectionCommand");
var AssociateExternalConnectionCommand = _AssociateExternalConnectionCommand;

// src/commands/CopyPackageVersionsCommand.ts




var _CopyPackageVersionsCommand = class _CopyPackageVersionsCommand extends import_smithy_client.Command.classBuilder().ep({
  ...commonParams
}).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("CodeArtifactControlPlaneService", "CopyPackageVersions", {}).n("CodeartifactClient", "CopyPackageVersionsCommand").f(void 0, void 0).ser(se_CopyPackageVersionsCommand).de(de_CopyPackageVersionsCommand).build() {
};
__name(_CopyPackageVersionsCommand, "CopyPackageVersionsCommand");
var CopyPackageVersionsCommand = _CopyPackageVersionsCommand;

// src/commands/CreateDomainCommand.ts




var _CreateDomainCommand = class _CreateDomainCommand extends import_smithy_client.Command.classBuilder().ep({
  ...commonParams
}).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("CodeArtifactControlPlaneService", "CreateDomain", {}).n("CodeartifactClient", "CreateDomainCommand").f(void 0, void 0).ser(se_CreateDomainCommand).de(de_CreateDomainCommand).build() {
};
__name(_CreateDomainCommand, "CreateDomainCommand");
var CreateDomainCommand = _CreateDomainCommand;

// src/commands/CreateRepositoryCommand.ts




var _CreateRepositoryCommand = class _CreateRepositoryCommand extends import_smithy_client.Command.classBuilder().ep({
  ...commonParams
}).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("CodeArtifactControlPlaneService", "CreateRepository", {}).n("CodeartifactClient", "CreateRepositoryCommand").f(void 0, void 0).ser(se_CreateRepositoryCommand).de(de_CreateRepositoryCommand).build() {
};
__name(_CreateRepositoryCommand, "CreateRepositoryCommand");
var CreateRepositoryCommand = _CreateRepositoryCommand;

// src/commands/DeleteDomainCommand.ts




var _DeleteDomainCommand = class _DeleteDomainCommand extends import_smithy_client.Command.classBuilder().ep({
  ...commonParams
}).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("CodeArtifactControlPlaneService", "DeleteDomain", {}).n("CodeartifactClient", "DeleteDomainCommand").f(void 0, void 0).ser(se_DeleteDomainCommand).de(de_DeleteDomainCommand).build() {
};
__name(_DeleteDomainCommand, "DeleteDomainCommand");
var DeleteDomainCommand = _DeleteDomainCommand;

// src/commands/DeleteDomainPermissionsPolicyCommand.ts




var _DeleteDomainPermissionsPolicyCommand = class _DeleteDomainPermissionsPolicyCommand extends import_smithy_client.Command.classBuilder().ep({
  ...commonParams
}).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("CodeArtifactControlPlaneService", "DeleteDomainPermissionsPolicy", {}).n("CodeartifactClient", "DeleteDomainPermissionsPolicyCommand").f(void 0, void 0).ser(se_DeleteDomainPermissionsPolicyCommand).de(de_DeleteDomainPermissionsPolicyCommand).build() {
};
__name(_DeleteDomainPermissionsPolicyCommand, "DeleteDomainPermissionsPolicyCommand");
var DeleteDomainPermissionsPolicyCommand = _DeleteDomainPermissionsPolicyCommand;

// src/commands/DeletePackageCommand.ts




var _DeletePackageCommand = class _DeletePackageCommand extends import_smithy_client.Command.classBuilder().ep({
  ...commonParams
}).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("CodeArtifactControlPlaneService", "DeletePackage", {}).n("CodeartifactClient", "DeletePackageCommand").f(void 0, void 0).ser(se_DeletePackageCommand).de(de_DeletePackageCommand).build() {
};
__name(_DeletePackageCommand, "DeletePackageCommand");
var DeletePackageCommand = _DeletePackageCommand;

// src/commands/DeletePackageVersionsCommand.ts




var _DeletePackageVersionsCommand = class _DeletePackageVersionsCommand extends import_smithy_client.Command.classBuilder().ep({
  ...commonParams
}).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("CodeArtifactControlPlaneService", "DeletePackageVersions", {}).n("CodeartifactClient", "DeletePackageVersionsCommand").f(void 0, void 0).ser(se_DeletePackageVersionsCommand).de(de_DeletePackageVersionsCommand).build() {
};
__name(_DeletePackageVersionsCommand, "DeletePackageVersionsCommand");
var DeletePackageVersionsCommand = _DeletePackageVersionsCommand;

// src/commands/DeleteRepositoryCommand.ts




var _DeleteRepositoryCommand = class _DeleteRepositoryCommand extends import_smithy_client.Command.classBuilder().ep({
  ...commonParams
}).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("CodeArtifactControlPlaneService", "DeleteRepository", {}).n("CodeartifactClient", "DeleteRepositoryCommand").f(void 0, void 0).ser(se_DeleteRepositoryCommand).de(de_DeleteRepositoryCommand).build() {
};
__name(_DeleteRepositoryCommand, "DeleteRepositoryCommand");
var DeleteRepositoryCommand = _DeleteRepositoryCommand;

// src/commands/DeleteRepositoryPermissionsPolicyCommand.ts




var _DeleteRepositoryPermissionsPolicyCommand = class _DeleteRepositoryPermissionsPolicyCommand extends import_smithy_client.Command.classBuilder().ep({
  ...commonParams
}).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("CodeArtifactControlPlaneService", "DeleteRepositoryPermissionsPolicy", {}).n("CodeartifactClient", "DeleteRepositoryPermissionsPolicyCommand").f(void 0, void 0).ser(se_DeleteRepositoryPermissionsPolicyCommand).de(de_DeleteRepositoryPermissionsPolicyCommand).build() {
};
__name(_DeleteRepositoryPermissionsPolicyCommand, "DeleteRepositoryPermissionsPolicyCommand");
var DeleteRepositoryPermissionsPolicyCommand = _DeleteRepositoryPermissionsPolicyCommand;

// src/commands/DescribeDomainCommand.ts




var _DescribeDomainCommand = class _DescribeDomainCommand extends import_smithy_client.Command.classBuilder().ep({
  ...commonParams
}).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("CodeArtifactControlPlaneService", "DescribeDomain", {}).n("CodeartifactClient", "DescribeDomainCommand").f(void 0, void 0).ser(se_DescribeDomainCommand).de(de_DescribeDomainCommand).build() {
};
__name(_DescribeDomainCommand, "DescribeDomainCommand");
var DescribeDomainCommand = _DescribeDomainCommand;

// src/commands/DescribePackageCommand.ts




var _DescribePackageCommand = class _DescribePackageCommand extends import_smithy_client.Command.classBuilder().ep({
  ...commonParams
}).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("CodeArtifactControlPlaneService", "DescribePackage", {}).n("CodeartifactClient", "DescribePackageCommand").f(void 0, void 0).ser(se_DescribePackageCommand).de(de_DescribePackageCommand).build() {
};
__name(_DescribePackageCommand, "DescribePackageCommand");
var DescribePackageCommand = _DescribePackageCommand;

// src/commands/DescribePackageVersionCommand.ts




var _DescribePackageVersionCommand = class _DescribePackageVersionCommand extends import_smithy_client.Command.classBuilder().ep({
  ...commonParams
}).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("CodeArtifactControlPlaneService", "DescribePackageVersion", {}).n("CodeartifactClient", "DescribePackageVersionCommand").f(void 0, void 0).ser(se_DescribePackageVersionCommand).de(de_DescribePackageVersionCommand).build() {
};
__name(_DescribePackageVersionCommand, "DescribePackageVersionCommand");
var DescribePackageVersionCommand = _DescribePackageVersionCommand;

// src/commands/DescribeRepositoryCommand.ts




var _DescribeRepositoryCommand = class _DescribeRepositoryCommand extends import_smithy_client.Command.classBuilder().ep({
  ...commonParams
}).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("CodeArtifactControlPlaneService", "DescribeRepository", {}).n("CodeartifactClient", "DescribeRepositoryCommand").f(void 0, void 0).ser(se_DescribeRepositoryCommand).de(de_DescribeRepositoryCommand).build() {
};
__name(_DescribeRepositoryCommand, "DescribeRepositoryCommand");
var DescribeRepositoryCommand = _DescribeRepositoryCommand;

// src/commands/DisassociateExternalConnectionCommand.ts




var _DisassociateExternalConnectionCommand = class _DisassociateExternalConnectionCommand extends import_smithy_client.Command.classBuilder().ep({
  ...commonParams
}).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("CodeArtifactControlPlaneService", "DisassociateExternalConnection", {}).n("CodeartifactClient", "DisassociateExternalConnectionCommand").f(void 0, void 0).ser(se_DisassociateExternalConnectionCommand).de(de_DisassociateExternalConnectionCommand).build() {
};
__name(_DisassociateExternalConnectionCommand, "DisassociateExternalConnectionCommand");
var DisassociateExternalConnectionCommand = _DisassociateExternalConnectionCommand;

// src/commands/DisposePackageVersionsCommand.ts




var _DisposePackageVersionsCommand = class _DisposePackageVersionsCommand extends import_smithy_client.Command.classBuilder().ep({
  ...commonParams
}).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("CodeArtifactControlPlaneService", "DisposePackageVersions", {}).n("CodeartifactClient", "DisposePackageVersionsCommand").f(void 0, void 0).ser(se_DisposePackageVersionsCommand).de(de_DisposePackageVersionsCommand).build() {
};
__name(_DisposePackageVersionsCommand, "DisposePackageVersionsCommand");
var DisposePackageVersionsCommand = _DisposePackageVersionsCommand;

// src/commands/GetAuthorizationTokenCommand.ts




var _GetAuthorizationTokenCommand = class _GetAuthorizationTokenCommand extends import_smithy_client.Command.classBuilder().ep({
  ...commonParams
}).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("CodeArtifactControlPlaneService", "GetAuthorizationToken", {}).n("CodeartifactClient", "GetAuthorizationTokenCommand").f(void 0, void 0).ser(se_GetAuthorizationTokenCommand).de(de_GetAuthorizationTokenCommand).build() {
};
__name(_GetAuthorizationTokenCommand, "GetAuthorizationTokenCommand");
var GetAuthorizationTokenCommand = _GetAuthorizationTokenCommand;

// src/commands/GetDomainPermissionsPolicyCommand.ts




var _GetDomainPermissionsPolicyCommand = class _GetDomainPermissionsPolicyCommand extends import_smithy_client.Command.classBuilder().ep({
  ...commonParams
}).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("CodeArtifactControlPlaneService", "GetDomainPermissionsPolicy", {}).n("CodeartifactClient", "GetDomainPermissionsPolicyCommand").f(void 0, void 0).ser(se_GetDomainPermissionsPolicyCommand).de(de_GetDomainPermissionsPolicyCommand).build() {
};
__name(_GetDomainPermissionsPolicyCommand, "GetDomainPermissionsPolicyCommand");
var GetDomainPermissionsPolicyCommand = _GetDomainPermissionsPolicyCommand;

// src/commands/GetPackageVersionAssetCommand.ts




var _GetPackageVersionAssetCommand = class _GetPackageVersionAssetCommand extends import_smithy_client.Command.classBuilder().ep({
  ...commonParams
}).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("CodeArtifactControlPlaneService", "GetPackageVersionAsset", {}).n("CodeartifactClient", "GetPackageVersionAssetCommand").f(void 0, GetPackageVersionAssetResultFilterSensitiveLog).ser(se_GetPackageVersionAssetCommand).de(de_GetPackageVersionAssetCommand).build() {
};
__name(_GetPackageVersionAssetCommand, "GetPackageVersionAssetCommand");
var GetPackageVersionAssetCommand = _GetPackageVersionAssetCommand;

// src/commands/GetPackageVersionReadmeCommand.ts




var _GetPackageVersionReadmeCommand = class _GetPackageVersionReadmeCommand extends import_smithy_client.Command.classBuilder().ep({
  ...commonParams
}).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("CodeArtifactControlPlaneService", "GetPackageVersionReadme", {}).n("CodeartifactClient", "GetPackageVersionReadmeCommand").f(void 0, void 0).ser(se_GetPackageVersionReadmeCommand).de(de_GetPackageVersionReadmeCommand).build() {
};
__name(_GetPackageVersionReadmeCommand, "GetPackageVersionReadmeCommand");
var GetPackageVersionReadmeCommand = _GetPackageVersionReadmeCommand;

// src/commands/GetRepositoryEndpointCommand.ts




var _GetRepositoryEndpointCommand = class _GetRepositoryEndpointCommand extends import_smithy_client.Command.classBuilder().ep({
  ...commonParams
}).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("CodeArtifactControlPlaneService", "GetRepositoryEndpoint", {}).n("CodeartifactClient", "GetRepositoryEndpointCommand").f(void 0, void 0).ser(se_GetRepositoryEndpointCommand).de(de_GetRepositoryEndpointCommand).build() {
};
__name(_GetRepositoryEndpointCommand, "GetRepositoryEndpointCommand");
var GetRepositoryEndpointCommand = _GetRepositoryEndpointCommand;

// src/commands/GetRepositoryPermissionsPolicyCommand.ts




var _GetRepositoryPermissionsPolicyCommand = class _GetRepositoryPermissionsPolicyCommand extends import_smithy_client.Command.classBuilder().ep({
  ...commonParams
}).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("CodeArtifactControlPlaneService", "GetRepositoryPermissionsPolicy", {}).n("CodeartifactClient", "GetRepositoryPermissionsPolicyCommand").f(void 0, void 0).ser(se_GetRepositoryPermissionsPolicyCommand).de(de_GetRepositoryPermissionsPolicyCommand).build() {
};
__name(_GetRepositoryPermissionsPolicyCommand, "GetRepositoryPermissionsPolicyCommand");
var GetRepositoryPermissionsPolicyCommand = _GetRepositoryPermissionsPolicyCommand;

// src/commands/ListDomainsCommand.ts




var _ListDomainsCommand = class _ListDomainsCommand extends import_smithy_client.Command.classBuilder().ep({
  ...commonParams
}).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("CodeArtifactControlPlaneService", "ListDomains", {}).n("CodeartifactClient", "ListDomainsCommand").f(void 0, void 0).ser(se_ListDomainsCommand).de(de_ListDomainsCommand).build() {
};
__name(_ListDomainsCommand, "ListDomainsCommand");
var ListDomainsCommand = _ListDomainsCommand;

// src/commands/ListPackagesCommand.ts




var _ListPackagesCommand = class _ListPackagesCommand extends import_smithy_client.Command.classBuilder().ep({
  ...commonParams
}).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("CodeArtifactControlPlaneService", "ListPackages", {}).n("CodeartifactClient", "ListPackagesCommand").f(void 0, void 0).ser(se_ListPackagesCommand).de(de_ListPackagesCommand).build() {
};
__name(_ListPackagesCommand, "ListPackagesCommand");
var ListPackagesCommand = _ListPackagesCommand;

// src/commands/ListPackageVersionAssetsCommand.ts




var _ListPackageVersionAssetsCommand = class _ListPackageVersionAssetsCommand extends import_smithy_client.Command.classBuilder().ep({
  ...commonParams
}).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("CodeArtifactControlPlaneService", "ListPackageVersionAssets", {}).n("CodeartifactClient", "ListPackageVersionAssetsCommand").f(void 0, void 0).ser(se_ListPackageVersionAssetsCommand).de(de_ListPackageVersionAssetsCommand).build() {
};
__name(_ListPackageVersionAssetsCommand, "ListPackageVersionAssetsCommand");
var ListPackageVersionAssetsCommand = _ListPackageVersionAssetsCommand;

// src/commands/ListPackageVersionDependenciesCommand.ts




var _ListPackageVersionDependenciesCommand = class _ListPackageVersionDependenciesCommand extends import_smithy_client.Command.classBuilder().ep({
  ...commonParams
}).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("CodeArtifactControlPlaneService", "ListPackageVersionDependencies", {}).n("CodeartifactClient", "ListPackageVersionDependenciesCommand").f(void 0, void 0).ser(se_ListPackageVersionDependenciesCommand).de(de_ListPackageVersionDependenciesCommand).build() {
};
__name(_ListPackageVersionDependenciesCommand, "ListPackageVersionDependenciesCommand");
var ListPackageVersionDependenciesCommand = _ListPackageVersionDependenciesCommand;

// src/commands/ListPackageVersionsCommand.ts




var _ListPackageVersionsCommand = class _ListPackageVersionsCommand extends import_smithy_client.Command.classBuilder().ep({
  ...commonParams
}).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("CodeArtifactControlPlaneService", "ListPackageVersions", {}).n("CodeartifactClient", "ListPackageVersionsCommand").f(void 0, void 0).ser(se_ListPackageVersionsCommand).de(de_ListPackageVersionsCommand).build() {
};
__name(_ListPackageVersionsCommand, "ListPackageVersionsCommand");
var ListPackageVersionsCommand = _ListPackageVersionsCommand;

// src/commands/ListRepositoriesCommand.ts




var _ListRepositoriesCommand = class _ListRepositoriesCommand extends import_smithy_client.Command.classBuilder().ep({
  ...commonParams
}).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("CodeArtifactControlPlaneService", "ListRepositories", {}).n("CodeartifactClient", "ListRepositoriesCommand").f(void 0, void 0).ser(se_ListRepositoriesCommand).de(de_ListRepositoriesCommand).build() {
};
__name(_ListRepositoriesCommand, "ListRepositoriesCommand");
var ListRepositoriesCommand = _ListRepositoriesCommand;

// src/commands/ListRepositoriesInDomainCommand.ts




var _ListRepositoriesInDomainCommand = class _ListRepositoriesInDomainCommand extends import_smithy_client.Command.classBuilder().ep({
  ...commonParams
}).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("CodeArtifactControlPlaneService", "ListRepositoriesInDomain", {}).n("CodeartifactClient", "ListRepositoriesInDomainCommand").f(void 0, void 0).ser(se_ListRepositoriesInDomainCommand).de(de_ListRepositoriesInDomainCommand).build() {
};
__name(_ListRepositoriesInDomainCommand, "ListRepositoriesInDomainCommand");
var ListRepositoriesInDomainCommand = _ListRepositoriesInDomainCommand;

// src/commands/ListTagsForResourceCommand.ts




var _ListTagsForResourceCommand = class _ListTagsForResourceCommand extends import_smithy_client.Command.classBuilder().ep({
  ...commonParams
}).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("CodeArtifactControlPlaneService", "ListTagsForResource", {}).n("CodeartifactClient", "ListTagsForResourceCommand").f(void 0, void 0).ser(se_ListTagsForResourceCommand).de(de_ListTagsForResourceCommand).build() {
};
__name(_ListTagsForResourceCommand, "ListTagsForResourceCommand");
var ListTagsForResourceCommand = _ListTagsForResourceCommand;

// src/commands/PublishPackageVersionCommand.ts




var _PublishPackageVersionCommand = class _PublishPackageVersionCommand extends import_smithy_client.Command.classBuilder().ep({
  ...commonParams
}).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("CodeArtifactControlPlaneService", "PublishPackageVersion", {}).n("CodeartifactClient", "PublishPackageVersionCommand").f(PublishPackageVersionRequestFilterSensitiveLog, void 0).ser(se_PublishPackageVersionCommand).de(de_PublishPackageVersionCommand).build() {
};
__name(_PublishPackageVersionCommand, "PublishPackageVersionCommand");
var PublishPackageVersionCommand = _PublishPackageVersionCommand;

// src/commands/PutDomainPermissionsPolicyCommand.ts




var _PutDomainPermissionsPolicyCommand = class _PutDomainPermissionsPolicyCommand extends import_smithy_client.Command.classBuilder().ep({
  ...commonParams
}).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("CodeArtifactControlPlaneService", "PutDomainPermissionsPolicy", {}).n("CodeartifactClient", "PutDomainPermissionsPolicyCommand").f(void 0, void 0).ser(se_PutDomainPermissionsPolicyCommand).de(de_PutDomainPermissionsPolicyCommand).build() {
};
__name(_PutDomainPermissionsPolicyCommand, "PutDomainPermissionsPolicyCommand");
var PutDomainPermissionsPolicyCommand = _PutDomainPermissionsPolicyCommand;

// src/commands/PutPackageOriginConfigurationCommand.ts




var _PutPackageOriginConfigurationCommand = class _PutPackageOriginConfigurationCommand extends import_smithy_client.Command.classBuilder().ep({
  ...commonParams
}).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("CodeArtifactControlPlaneService", "PutPackageOriginConfiguration", {}).n("CodeartifactClient", "PutPackageOriginConfigurationCommand").f(void 0, void 0).ser(se_PutPackageOriginConfigurationCommand).de(de_PutPackageOriginConfigurationCommand).build() {
};
__name(_PutPackageOriginConfigurationCommand, "PutPackageOriginConfigurationCommand");
var PutPackageOriginConfigurationCommand = _PutPackageOriginConfigurationCommand;

// src/commands/PutRepositoryPermissionsPolicyCommand.ts




var _PutRepositoryPermissionsPolicyCommand = class _PutRepositoryPermissionsPolicyCommand extends import_smithy_client.Command.classBuilder().ep({
  ...commonParams
}).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("CodeArtifactControlPlaneService", "PutRepositoryPermissionsPolicy", {}).n("CodeartifactClient", "PutRepositoryPermissionsPolicyCommand").f(void 0, void 0).ser(se_PutRepositoryPermissionsPolicyCommand).de(de_PutRepositoryPermissionsPolicyCommand).build() {
};
__name(_PutRepositoryPermissionsPolicyCommand, "PutRepositoryPermissionsPolicyCommand");
var PutRepositoryPermissionsPolicyCommand = _PutRepositoryPermissionsPolicyCommand;

// src/commands/TagResourceCommand.ts




var _TagResourceCommand = class _TagResourceCommand extends import_smithy_client.Command.classBuilder().ep({
  ...commonParams
}).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("CodeArtifactControlPlaneService", "TagResource", {}).n("CodeartifactClient", "TagResourceCommand").f(void 0, void 0).ser(se_TagResourceCommand).de(de_TagResourceCommand).build() {
};
__name(_TagResourceCommand, "TagResourceCommand");
var TagResourceCommand = _TagResourceCommand;

// src/commands/UntagResourceCommand.ts




var _UntagResourceCommand = class _UntagResourceCommand extends import_smithy_client.Command.classBuilder().ep({
  ...commonParams
}).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("CodeArtifactControlPlaneService", "UntagResource", {}).n("CodeartifactClient", "UntagResourceCommand").f(void 0, void 0).ser(se_UntagResourceCommand).de(de_UntagResourceCommand).build() {
};
__name(_UntagResourceCommand, "UntagResourceCommand");
var UntagResourceCommand = _UntagResourceCommand;

// src/commands/UpdatePackageVersionsStatusCommand.ts




var _UpdatePackageVersionsStatusCommand = class _UpdatePackageVersionsStatusCommand extends import_smithy_client.Command.classBuilder().ep({
  ...commonParams
}).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("CodeArtifactControlPlaneService", "UpdatePackageVersionsStatus", {}).n("CodeartifactClient", "UpdatePackageVersionsStatusCommand").f(void 0, void 0).ser(se_UpdatePackageVersionsStatusCommand).de(de_UpdatePackageVersionsStatusCommand).build() {
};
__name(_UpdatePackageVersionsStatusCommand, "UpdatePackageVersionsStatusCommand");
var UpdatePackageVersionsStatusCommand = _UpdatePackageVersionsStatusCommand;

// src/commands/UpdateRepositoryCommand.ts




var _UpdateRepositoryCommand = class _UpdateRepositoryCommand extends import_smithy_client.Command.classBuilder().ep({
  ...commonParams
}).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("CodeArtifactControlPlaneService", "UpdateRepository", {}).n("CodeartifactClient", "UpdateRepositoryCommand").f(void 0, void 0).ser(se_UpdateRepositoryCommand).de(de_UpdateRepositoryCommand).build() {
};
__name(_UpdateRepositoryCommand, "UpdateRepositoryCommand");
var UpdateRepositoryCommand = _UpdateRepositoryCommand;

// src/Codeartifact.ts
var commands = {
  AssociateExternalConnectionCommand,
  CopyPackageVersionsCommand,
  CreateDomainCommand,
  CreateRepositoryCommand,
  DeleteDomainCommand,
  DeleteDomainPermissionsPolicyCommand,
  DeletePackageCommand,
  DeletePackageVersionsCommand,
  DeleteRepositoryCommand,
  DeleteRepositoryPermissionsPolicyCommand,
  DescribeDomainCommand,
  DescribePackageCommand,
  DescribePackageVersionCommand,
  DescribeRepositoryCommand,
  DisassociateExternalConnectionCommand,
  DisposePackageVersionsCommand,
  GetAuthorizationTokenCommand,
  GetDomainPermissionsPolicyCommand,
  GetPackageVersionAssetCommand,
  GetPackageVersionReadmeCommand,
  GetRepositoryEndpointCommand,
  GetRepositoryPermissionsPolicyCommand,
  ListDomainsCommand,
  ListPackagesCommand,
  ListPackageVersionAssetsCommand,
  ListPackageVersionDependenciesCommand,
  ListPackageVersionsCommand,
  ListRepositoriesCommand,
  ListRepositoriesInDomainCommand,
  ListTagsForResourceCommand,
  PublishPackageVersionCommand,
  PutDomainPermissionsPolicyCommand,
  PutPackageOriginConfigurationCommand,
  PutRepositoryPermissionsPolicyCommand,
  TagResourceCommand,
  UntagResourceCommand,
  UpdatePackageVersionsStatusCommand,
  UpdateRepositoryCommand
};
var _Codeartifact = class _Codeartifact extends CodeartifactClient {
};
__name(_Codeartifact, "Codeartifact");
var Codeartifact = _Codeartifact;
(0, import_smithy_client.createAggregatedClient)(commands, Codeartifact);

// src/pagination/ListDomainsPaginator.ts

var paginateListDomains = (0, import_core.createPaginator)(CodeartifactClient, ListDomainsCommand, "nextToken", "nextToken", "maxResults");

// src/pagination/ListPackageVersionAssetsPaginator.ts

var paginateListPackageVersionAssets = (0, import_core.createPaginator)(CodeartifactClient, ListPackageVersionAssetsCommand, "nextToken", "nextToken", "maxResults");

// src/pagination/ListPackageVersionsPaginator.ts

var paginateListPackageVersions = (0, import_core.createPaginator)(CodeartifactClient, ListPackageVersionsCommand, "nextToken", "nextToken", "maxResults");

// src/pagination/ListPackagesPaginator.ts

var paginateListPackages = (0, import_core.createPaginator)(CodeartifactClient, ListPackagesCommand, "nextToken", "nextToken", "maxResults");

// src/pagination/ListRepositoriesInDomainPaginator.ts

var paginateListRepositoriesInDomain = (0, import_core.createPaginator)(CodeartifactClient, ListRepositoriesInDomainCommand, "nextToken", "nextToken", "maxResults");

// src/pagination/ListRepositoriesPaginator.ts

var paginateListRepositories = (0, import_core.createPaginator)(CodeartifactClient, ListRepositoriesCommand, "nextToken", "nextToken", "maxResults");

// src/index.ts
var import_util_endpoints = require("@aws-sdk/util-endpoints");
// Annotate the CommonJS export names for ESM import in node:

0 && (module.exports = {
  CodeartifactServiceException,
  __Client,
  CodeartifactClient,
  Codeartifact,
  $Command,
  AssociateExternalConnectionCommand,
  CopyPackageVersionsCommand,
  CreateDomainCommand,
  CreateRepositoryCommand,
  DeleteDomainCommand,
  DeleteDomainPermissionsPolicyCommand,
  DeletePackageCommand,
  DeletePackageVersionsCommand,
  DeleteRepositoryCommand,
  DeleteRepositoryPermissionsPolicyCommand,
  DescribeDomainCommand,
  DescribePackageCommand,
  DescribePackageVersionCommand,
  DescribeRepositoryCommand,
  DisassociateExternalConnectionCommand,
  DisposePackageVersionsCommand,
  GetAuthorizationTokenCommand,
  GetDomainPermissionsPolicyCommand,
  GetPackageVersionAssetCommand,
  GetPackageVersionReadmeCommand,
  GetRepositoryEndpointCommand,
  GetRepositoryPermissionsPolicyCommand,
  ListDomainsCommand,
  ListPackageVersionAssetsCommand,
  ListPackageVersionDependenciesCommand,
  ListPackageVersionsCommand,
  ListPackagesCommand,
  ListRepositoriesCommand,
  ListRepositoriesInDomainCommand,
  ListTagsForResourceCommand,
  PublishPackageVersionCommand,
  PutDomainPermissionsPolicyCommand,
  PutPackageOriginConfigurationCommand,
  PutRepositoryPermissionsPolicyCommand,
  TagResourceCommand,
  UntagResourceCommand,
  UpdatePackageVersionsStatusCommand,
  UpdateRepositoryCommand,
  paginateListDomains,
  paginateListPackageVersionAssets,
  paginateListPackageVersions,
  paginateListPackages,
  paginateListRepositoriesInDomain,
  paginateListRepositories,
  AccessDeniedException,
  AllowPublish,
  AllowUpstream,
  HashAlgorithm,
  PackageFormat,
  ExternalConnectionStatus,
  ResourceType,
  ConflictException,
  InternalServerException,
  ResourceNotFoundException,
  ServiceQuotaExceededException,
  ThrottlingException,
  ValidationExceptionReason,
  ValidationException,
  PackageVersionErrorCode,
  PackageVersionStatus,
  DomainStatus,
  PackageVersionOriginType,
  PackageVersionSortType,
  GetPackageVersionAssetResultFilterSensitiveLog,
  PublishPackageVersionRequestFilterSensitiveLog
});

