import {
  AwsSdkSigV4AuthInputConfig,
  AwsSdkSigV4AuthResolvedConfig,
  AwsSdkSigV4PreviouslyResolved,
} from "@aws-sdk/core";
import {
  HandlerExecutionContext,
  HttpAuthScheme,
  HttpAuthSchemeParameters,
  HttpAuthSchemeParametersProvider,
  HttpAuthSchemeProvider,
} from "@smithy/types";
import { CodeartifactClientResolvedConfig } from "../CodeartifactClient";
export interface CodeartifactHttpAuthSchemeParameters
  extends HttpAuthSchemeParameters {
  region?: string;
}
export interface CodeartifactHttpAuthSchemeParametersProvider
  extends HttpAuthSchemeParametersProvider<
    CodeartifactClientResolvedConfig,
    HandlerExecutionContext,
    CodeartifactHttpAuthSchemeParameters,
    object
  > {}
export declare const defaultCodeartifactHttpAuthSchemeParametersProvider: (
  config: CodeartifactClientResolvedConfig,
  context: HandlerExecutionContext,
  input: object
) => Promise<CodeartifactHttpAuthSchemeParameters>;
export interface CodeartifactHttpAuthSchemeProvider
  extends HttpAuthSchemeProvider<CodeartifactHttpAuthSchemeParameters> {}
export declare const defaultCodeartifactHttpAuthSchemeProvider: CodeartifactHttpAuthSchemeProvider;
export interface HttpAuthSchemeInputConfig extends AwsSdkSigV4AuthInputConfig {
  httpAuthSchemes?: HttpAuthScheme[];
  httpAuthSchemeProvider?: CodeartifactHttpAuthSchemeProvider;
}
export interface HttpAuthSchemeResolvedConfig
  extends AwsSdkSigV4AuthResolvedConfig {
  readonly httpAuthSchemes: HttpAuthScheme[];
  readonly httpAuthSchemeProvider: CodeartifactHttpAuthSchemeProvider;
}
export declare const resolveHttpAuthSchemeConfig: <T>(
  config: T & HttpAuthSchemeInputConfig & AwsSdkSigV4PreviouslyResolved
) => T & HttpAuthSchemeResolvedConfig;
